<?php
header('Content-Type: application/json');
session_start();
require_once '../datab.php';

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$res = [];

// Validate and sanitize inputs
if (!isset($_POST['mobile']) || !isset($_POST['password'])) {
    $res['status'] = 'Error';
    $res['message'] = 'Required fields missing.';
    echo json_encode($res);
    exit();
}

$mobile = mysqli_real_escape_string($conn, $_POST['mobile']);
$login_pass = mysqli_real_escape_string($conn, $_POST['password']);

date_default_timezone_set('Asia/Kolkata');
$today_date = date('Y-m-d');
$dateTime = date('Y-m-d H:i:s');

// Check if user exists
$query = "SELECT * FROM user_data WHERE mobile_no = '$mobile' AND status = 'Active'";
$result = mysqli_query($conn, $query);

if (!$result || mysqli_num_rows($result) === 0) {
    $res['status'] = 'Error';
    $res['message'] = 'User not found!';
    echo json_encode($res);
    exit();
}

$user = mysqli_fetch_assoc($result);

// Verify password
if (!password_verify($login_pass, $user['password'])) {
    $res['status'] = 'Error';
    $res['message'] = 'Incorrect password';
    echo json_encode($res);
    exit();
}

// Set session variables
$_SESSION['user_id'] = $user['id'];
$_SESSION['name'] = $user['user_name'];
$_SESSION['mobile'] = $user['mobile_no'];
$_SESSION['role'] = $user['role'];
$_SESSION['eligible_user'] = $user['eligible_user'];

// Insert attendance if not already marked
$attendance_check = mysqli_query($conn, "SELECT * FROM attendance_data WHERE user_id = '{$user['id']}' AND date = '$today_date'");
if (!$attendance_check) {
    $res['status'] = 'Error';
    $res['message'] = 'Database error during attendance check';
    echo json_encode($res);
    exit();
}

if (mysqli_num_rows($attendance_check) === 0) {
    $insert = mysqli_query($conn, "INSERT INTO attendance_data (user_id, date, login_time, logout_time, status, dateTime) 
        VALUES ('{$user['id']}', '$today_date', '$dateTime', '', '1', '$dateTime')");

    if (!$insert) {
        $res['status'] = 'Error';
        $res['message'] = 'Failed to mark attendance';
        echo json_encode($res);
        exit();
    }
}

$res['status'] = 'Success';
$res['message'] = 'Login successful';
$res['role'] = $user['role'];
echo json_encode($res);
exit();

// session_start();
// require_once '../datab.php';

// $res = [];

// // Get POST data and sanitize
// $mobile = mysqli_real_escape_string($conn, $_POST['mobile']);
// $login_pass = mysqli_real_escape_string($conn, $_POST['password']);

// // Set timezone and current date/time
// date_default_timezone_set('Asia/Kolkata');
// $today_date = date('Y-m-d');
// $dateTime = date('Y-m-d H:i:s');

// // Check user exists and is active
// $select_mobile = mysqli_query($conn, "SELECT * FROM user_data WHERE mobile_no = '$mobile' AND status = 'Active'");
// if (!$select_mobile || mysqli_num_rows($select_mobile) === 0) {
//     $res['status'] = 'Error';
//     $res['message'] = 'User not found!';
//     echo json_encode($res);
//     exit();
// }

// // Fetch user data
// $mobile_result = mysqli_fetch_assoc($select_mobile);
// $db_pass = $mobile_result['password'];
// $user_id = $mobile_result['id'];
// $name = $mobile_result['user_name'];
// $role = $mobile_result['role'];
// $eligible_user = $mobile_result['eligible_user'];

// // Verify password
// if (password_verify($login_pass, $db_pass)) {
//     // Set session variables
//     $_SESSION['user_id'] = $user_id;
//     $_SESSION['name'] = $name;
//     $_SESSION['mobile'] = $mobile;
//     $_SESSION['role'] = $role;
//     $_SESSION['eligible_user'] = $eligible_user;

//     // Check if today's attendance already exists
//     $select_today_att = mysqli_query($conn, "SELECT * FROM attendance_data WHERE user_id = '$user_id' AND date = '$today_date'");
//     if (!$select_today_att) {
//         $res['status'] = 'Error';
//         $res['message'] = 'Database error during attendance check';
//         echo json_encode($res);
//         exit();
//     }

//     // Insert attendance if not already marked
//     if (mysqli_num_rows($select_today_att) === 0) {
//         $insert_attendance_data = mysqli_query($conn, "INSERT INTO attendance_data (user_id, date, login_time, logout_time, status, dateTime) 
//             VALUES ('$user_id', '$today_date', '$dateTime', '', '1', '$dateTime')");

//         if (!$insert_attendance_data) {
//             $res['status'] = 'Error';
//             $res['message'] = 'Error saving attendance data';
//             echo json_encode($res);
//             exit();
//         }
//     }

//     $res['status'] = 'Success';
//     $res['message'] = 'Login successful!';
//     $res['role'] = $role;
// } else {
//     $res['status'] = 'Error';
//     $res['message'] = "Password didn't match";
// }

// echo json_encode($res);
?>
