<?php
session_start();
include 'datab.php'; // your DB connection file

header('Content-Type: application/json');

$response = ['status' => '', 'message' => ''];

if (!isset($_POST['id'])) {
    $response['status'] = 'error';
    $response['message'] = 'ID not provided in request.';
    echo json_encode($response);
    exit;
}

$id = $_POST['id'];

// Validate ID is an integer
if (!is_numeric($id)) {
    $response['status'] = 'error';
    $response['message'] = 'Invalid ID.';
    echo json_encode($response);
    exit;
}

$query = "UPDATE available_driver_data SET status = 'In-Active' WHERE id = ?";
$stmt = $conn->prepare($query);

if (!$stmt) {
    $response['status'] = 'error';
    $response['message'] = 'Prepare failed: ' . $conn->error;
    echo json_encode($response);
    exit;
}

$stmt->bind_param("i", $id);

if ($stmt->execute()) {
    if ($stmt->affected_rows > 0) {
        $_SESSION['success_message'] = "Driver deleted successfully.";
        $response['status'] = 'success';
        $response['message'] = 'Driver status set to Suspended.';
    } else {
        $response['status'] = 'error';
        $response['message'] = 'No rows updated. Maybe invalid ID or already Suspended.';
    }
} else {
    $response['status'] = 'error';
    $response['message'] = 'Execute failed: ' . $stmt->error;
}

$stmt->close();
$conn->close();

echo json_encode($response);
?>
