<?php
session_start();
require_once '../datab.php';

if (!isset($created_by)) {
    $created_by = 1;
}
if (!isset($dateTime)) {
    $dateTime = date('Y-m-d H:i:s');
}

$reporing_time = mysqli_real_escape_string($conn, $_POST['reporting_time']);
$booking_type = mysqli_real_escape_string($conn, $_POST['booking_type']);
$booked_for = mysqli_real_escape_string($conn, $_POST['booked_for']);
$customer_no = mysqli_real_escape_string($conn, $_POST['customer_no']);
$from_address = mysqli_real_escape_string($conn, $_POST['from_address']);
$destination_address = mysqli_real_escape_string($conn, $_POST['destination_address']);
$pickup_area = mysqli_real_escape_string($conn, $_POST['pickup_area']);
$vehicle_model = mysqli_real_escape_string($conn, $_POST['vehicle_model']);
$vehicle_type = mysqli_real_escape_string($conn, $_POST['vehicle_type']);
$vehicle_gear_type = mysqli_real_escape_string($conn, $_POST['vehicle_gear_type']);
$no_driver = mysqli_real_escape_string($conn, $_POST['no_driver']);
$special_request = mysqli_real_escape_string($conn, $_POST['special_request']);
$add_remarks = mysqli_real_escape_string($conn, $_POST['add_remarks']);
$reconfirm_check = mysqli_real_escape_string($conn, $_POST['reconfirm_check']);
$reconfirm_date = mysqli_real_escape_string($conn, $_POST['reconfirm_date']);
$with_car = mysqli_real_escape_string($conn, $_POST['with_car']);
$customer_id = mysqli_real_escape_string($conn, $_POST['customer_id']);
$driver_id = mysqli_real_escape_string($conn, $_POST['driver_id_option']); // ✅ Single driver ID

if ($reconfirm_check == 'true') {
    $booking_status = 'Un-Confirmed';
} else if ($no_driver != 1) {
    $booking_status = 'Un-Assigned';
} else {
    $booking_status = 'Un-Informed';
}
    $response = [];

    $sql = "SELECT * FROM master_booking_no WHERE status = 'Active' and id = '1' ";
    $rec = mysqli_query($conn, $sql);
    if($data = mysqli_fetch_assoc($rec)) {
        $first_char = $data['first_char'];
        $second_char = $data['second_char'];
        $third_char = $data['third_char'];
        $booking_no = $data['booking_no'];

        $booking_no++;

        if($booking_no >= 10000) {
            $booking_no = 1;
            $third_char++;

            if($third_char >= 27) {
                $third_char = 1;
                $second_char++;
                if($second_char >= 27) {
                    $second_char = 1;
                    $first_char++;
                    if($first_char >= 27) {
                        $first_char = 1;
                    }
                }
            }
        }
        $new_booking_no = chr(64 + (int)$first_char).chr(64 + (int)$second_char).chr(64 + (int)$third_char).sprintf('%04d',$booking_no);
    }

    $update_sql = "UPDATE master_booking_no 
                SET `first_char`='$first_char',`second_char`='$second_char',`third_char`='$third_char',`booking_no`='$booking_no' 
                WHERE id = '1' ";
    mysqli_query($conn, $update_sql);

    $update_sql = "UPDATE customer_data 
                SET special_request = '$special_request', updated_by = '$created_by', updated_at = NOW() 
                WHERE id = '$customer_id' ";
    mysqli_query($conn, $update_sql);

    $sql = "SELECT * FROM customer_car_data where vehicle_name = '$vehicle_model' and vehicle_gear_type = '$vehicle_gear_type' AND vehicle_type = '$vehicle_type' AND customer_id = '$customer_id' and status = 'Active' ";
    $rec = mysqli_query($conn, $sql);
    if(!$data = mysqli_fetch_assoc($rec)) {
        $sql = "INSERT INTO `customer_car_data`( `customer_id`, `vehicle_name`, `vehicle_gear_type`, `vehicle_type`, `created_by`, `status`, `dateTime`) VALUES ('$customer_id','$vehicle_model','$vehicle_gear_type','$vehicle_type','$created_by','Active','$dateTime')";
        mysqli_query($conn, $sql);

        $sql = "INSERT INTO `master_car_data`( `vehicle_model`, `vehicle_type`, `status`, `dateTime`) VALUES ('$vehicle_model','$vehicle_type','Active','$dateTime')";
        mysqli_query($conn, $sql);
    }

   $sql = "INSERT INTO booking_table (`customer_id`, `booking_no`, `booked_for`, `customer_phone`, 
            `customer_request`, `destination_address`, `from_address`, `pickup_area`, `remarks`, 
            `reporting_date`, `vehicle_model`, `vehicle_gear_type`, `vehicle_type`, `no_of_drivers`, 
            `reconfirmation`, `reconfirm_date`, `with_car`, `status`, `created_by`, 
            `booking_type`, `feedback`, `complaint_status`, `created_on`, `updated_on`) 
        VALUES ('$customer_id', '$new_booking_no', '$booked_for', '$customer_no', '$special_request', 
        '$destination_address', '$from_address', '$pickup_area', '$add_remarks', '$reporing_time', 
        '$vehicle_model', '$vehicle_gear_type', '$vehicle_type', '$no_driver', '$reconfirm_check', 
        '$reconfirm_date', '$with_car', '$booking_status', '$created_by',  '$booking_type', 'No', 'No',
        '$dateTime', '$dateTime')";
mysqli_query($conn, $sql);
$booking_id = mysqli_insert_id($conn);

// Insert into feedback_data
$enc_feed_key = md5($booking_id . 'FeED' . $dateTime);
$sql = "INSERT INTO `feedback_data`(`booking_id`, `feedback_code`, `status`, `created_on`) 
        VALUES ('$booking_id','$enc_feed_key','Active','$dateTime')";
mysqli_query($conn, $sql);

// ✅ Insert into booking_driver_data for single driver
$sql = "INSERT INTO booking_driver_data (`booking_id`, `driver_id`, `blacklist`, `status`, `dateTime`) 
        VALUES ('$booking_id', '$driver_id', 'No', 'Active', '$dateTime')";
mysqli_query($conn, $sql);

// ✅ Update booking_table with single driver ID
$update_sql = "UPDATE booking_table SET alloted_drivers = '$driver_id' WHERE id = '$booking_id'";
mysqli_query($conn, $update_sql);

// ✅ Final response
$_SESSION['success_message'] = 'Booking Created Successfully.';
// Format date and time
// $reporting_datetime = new DateTime($reporing_time);
// $reporting_date = $reporting_datetime->format('d/m/Y');
// $reporting_time = $reporting_datetime->format('H:i');
$range_parts = explode(' to ', $reporing_time);
$reporting_start = trim($range_parts[0]); // "2025-06-17 12:00 PM"

$reporting_datetime = new DateTime($reporting_start);
$reporting_date = $reporting_datetime->format('d/m/Y');
$reporting_time = $reporting_datetime->format('H:i');

// Fetch driver details (assumes you have a driver table)
$driver_name = '';
$driver_phone = '';
$customer_name = $booked_for; // Already fetched
$customer_address = $from_address;
$customer_contact = $customer_no;

$driver_sql = "SELECT driver_name, wa_no FROM driver_data WHERE id = '$driver_id' LIMIT 1";
$driver_result = mysqli_query($conn, $driver_sql);
if ($driver_data = mysqli_fetch_assoc($driver_result)) {
    $driver_name = $driver_data['driver_name'];
    $driver_phone = $driver_data['wa_no'];
}

// Construct messages
$response = [
    'success' => true,
    'booking_confirmation_msg' => "Dear Customer, Your Booking for driver is confirmed as below, Reporting Date: $reporting_date, Reporting Time: $reporting_time HRS, Booking Number: $new_booking_no. You will receive the driver details once driver gets allotted. Thank you for booking with us. Regards, V-MPS(Drivers)",

    'driver_msg' => "Dear Driver, you have a duty allotted as per details below, Customer Name: $customer_name, Address: $customer_address, Contact Number(s): $customer_contact, Reporting Date: $reporting_date, Reporting Time: $reporting_time HRS. Regards, V-MPS(Drivers)",

    'customer_msg' => "Dear Customer, please find the driver details for your booking, Driver Name: $driver_name - $driver_phone, Reporting Date: $reporting_date, Reporting Time: $reporting_time Hrs. Thank you. Regards, V-MPS(Drivers)"
];

echo json_encode($response);
exit;
?>