<?php
    require_once '../datab.php';
    require_once '../get_session.php';

    $booking_id = mysqli_real_escape_string($conn, $_POST['booking_id']);

    $response = [];

    $sql = "SELECT * FROM booking_table WHERE id = '$booking_id' ";
    $rec = mysqli_query($conn, $sql);
    if($data = mysqli_fetch_assoc($rec))
    {
        $customer_id = $data['customer_id'];
        $booking_no = $data['booking_no'];
        $status = $data['status'];
        $customer_no = $data['customer_phone'];
        $customer_name = $data['booked_for'];
        $pickup_address = $data['from_address'];
        $report_date = date('d-m-Y h:i a', strtotime($data['reporting_date']));
    }

    $sql = "SELECT * FROM feedback_data WHERE booking_id = '$booking_id' ";
    $rec = mysqli_query($conn, $sql);
    if($data = mysqli_fetch_assoc($rec))
    {
        $feedback_no = $data['feedback_code'];
    }

    $driver_info = '';
    $sql = "SELECT driver_name, wa_no
                FROM booking_driver_data, driver_data 
                WHERE booking_driver_data.booking_id = '$booking_id' 
                    AND booking_driver_data.status = 'Active'
                    and driver_data.id = booking_driver_data.driver_id ";
    $rec = mysqli_query($conn, $sql);
    while($data = mysqli_fetch_assoc($rec))
    {
        if($driver_info != '')
        {
            $driver_info .= ', ';
        }
        else
        {
            $first_driver_no = $data['wa_no'];
        }
        $driver_name = $data['driver_name'];
        $driver_no = $data['wa_no'];

        $driver_info .= $driver_name.' - '.$driver_no;

        $response['driver_no'] = $first_driver_no;
    }

    $response['booking_msg'] = '';
    $response['driver_msg'] = '';
    $response['customer_msg'] = '';
    $response['customer_no'] = $customer_no;
    

    if($status != 'Cancelled')
    {
        $response['booking_msg'] = 'Dear Customer, Your Booking for driver is confirmed as below, Reporting Date: '.date('d/m/Y', strtotime($report_date)).', Reporting Time: '.date('H:i', strtotime($report_date)).' HRS, Booking Number: '.$booking_no.'. You will receive the driver details once driver gets allotted. Thank you for booking with us. Regards, V-MPS(Drivers)';
        $response['booking_wa_msg'] = 'Dear%20Customer%2C%20Your%20Booking%20for%20driver%20is%20confirmed%20as%20below%2C%0A%0AReporting%20Date%3A%20'.date('d/m/Y', strtotime($report_date)).'%0AReporting%20Time%3A%20'.date('H:i', strtotime($report_date)).'%20HRS%0ABooking%20Number%3A%20'.$booking_no.'%0A%0AYou%20will%20receive%20the%20driver%20details%20once%20driver%20gets%20allotted.%0A%0AThank%20you%20for%20booking%20with%20us.%0A%0ARegards%2C%0AV-MPS%28Drivers%29';

    }

    if($status == 'Un-Informed' || $status == 'Confirmed')
    {
        $response['driver_msg'] = 'Dear Driver, you have a duty allotted as per details below, Customer Name: '.$customer_name.', Address: '.$pickup_address.', Contact Number(s): '.$customer_no.', Reporting Date: '.date('d/m/Y', strtotime($report_date)).', Reporting Time: '.date('H:i', strtotime($report_date)).' Regards, V-MPS(Drivers)';
        $response['driver_wa_msg'] = 'Dear%20Driver,%20you%20have%20a%20duty%20allotted%20as%20per%20details%20below,%0A%0ACustomer%20Name:%20'.$customer_name.'%0AAddress:%20'.$pickup_address.'%0AContact%20Number(s):%20'.$customer_no.'%0AReporting%20Date:%20'.date('d/m/Y', strtotime($report_date)).'%0AReporting%20Time:%20'.date('H:i', strtotime($report_date)).'%0A%0ARegards, V-MPS(Drivers)';

        // $response['customer_msg'] = 'Driver has been alloted for your booking No: '.$booking_no.' and Drive Dated: '.$report_date.', Your driver details is '.$driver_info.'. After Trip your can provide feedback by clicking the link. '.$domain.'/Feedback/'.$feedback_no;
        $response['customer_msg'] = 'Dear Customer, please find the driver details for your booking, Driver Name: '.$driver_info.', Reporting Date: '.date('d/m/Y', strtotime($report_date)).', Reporting Time: '.date('H:i', strtotime($report_date)).' Hrs. Thank you. Regards, V-MPS(Drivers)';
        $response['customer_wa_msg'] = 'Dear%20Customer,%20please%20find%20the%20driver%20details%20for%20your%20booking,%0A%0ADriver%20Name:%20'.$driver_info.'%0AReporting%20Date:%20'.date('d/m/Y', strtotime($report_date)).'%0AReporting%20Time:%20'.date('H:i', strtotime($report_date)).' Hrs%0A%0AThank%20you.%0ARegards,%0AV-MPS(Drivers)';
    }

    $response['status'] = "Success";

    $response['booking_status'] = $status;
  
    echo json_encode($response);
    mysqli_close($conn);
?>