<?php
session_start();

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
ob_start();


require_once "../datab.php";
// require_once "../get_session.php";

$res = [];

$customer_name = mysqli_real_escape_string($conn, $_POST['customer_name']);
$whatsapp_no = mysqli_real_escape_string($conn, $_POST['whatsapp_no']);
$alternate_no = mysqli_real_escape_string($conn, $_POST['alternate_no']);
$landline_no = mysqli_real_escape_string($conn, $_POST['landline_no']);
$address = mysqli_real_escape_string($conn, $_POST['address']);
$area = mysqli_real_escape_string($conn, $_POST['area']);
$location = mysqli_real_escape_string($conn, $_POST['location']);
$special_req = mysqli_real_escape_string($conn, $_POST['special_req']);
$venue_name = mysqli_real_escape_string($conn, $_POST['venue_name']);
$customer_type = mysqli_real_escape_string($conn, $_POST['customer_type']);
$vehicles = json_decode($_POST['vehicles'], true);
$selected_avatar = mysqli_real_escape_string($conn, $_POST['selected_avatar']);

// Optional: replace with actual session user or fallback
$created_by = isset($_SESSION['user']) ? $_SESSION['user'] : 'System';

$dateTime = date('Y-m-d H:i:s');

$sql = "INSERT INTO customer_data (
            customer_name, customer_type, venue_name, wa_no, alt_no, landline, address, area, location, 
            special_request, created_by, status, dateTime, selected_avatar
        ) VALUES (
            '$customer_name', '$customer_type', '$venue_name', '$whatsapp_no', '$alternate_no', '$landline_no', 
            '$address', '$area', '$location', '$special_req', '$created_by', 'Active', '$dateTime', '$selected_avatar'
        )";

if (mysqli_query($conn, $sql)) {
    $customer_id = mysqli_insert_id($conn);

    if (!empty($vehicles) && is_array($vehicles)) {
        foreach ($vehicles as $vehicle) {
            $vehicle_name = mysqli_real_escape_string($conn, $vehicle['vehicle_name']);
            $vehicle_type = mysqli_real_escape_string($conn, $vehicle['vehicle_type']);
            $vehicle_gear_type = mysqli_real_escape_string($conn, $vehicle['vehicle_gear_type']);

            $vehicle_sql = "INSERT INTO customer_car_data (customer_id, vehicle_name, vehicle_gear_type, vehicle_type, created_by, status, dateTime) 
                            VALUES ('$customer_id', '$vehicle_name', '$vehicle_gear_type', '$vehicle_type', '$created_by', 'Active', '$dateTime')";
            if (!mysqli_query($conn, $vehicle_sql)) {
                echo json_encode([
                    'status' => 'Error',
                    'message' => 'Failed to insert vehicle data'
                ]);
                exit();
            }

            $check_sql = "SELECT * FROM master_car_data WHERE vehicle_model = '$vehicle_name' AND status = 'Active'";
            $rec = mysqli_query($conn, $check_sql);
            if (!$data = mysqli_fetch_assoc($rec)) {
                $vehicle_master_sql = "INSERT INTO master_car_data (vehicle_model, vehicle_type, status, dateTime) 
                                        VALUES ('$vehicle_name', '$vehicle_type', 'Active', '$dateTime')";
                if (!mysqli_query($conn, $vehicle_master_sql)) {
                    echo json_encode([
                        'status' => 'Error',
                        'message' => 'Failed to insert vehicle in master data'
                    ]);
                    exit();
                }
            }
        }
    }
    
    ob_end_clean();
    $_SESSION['success_message'] = 'Customer created successfully';

    // ✅ Final success response
    echo json_encode([
        'status' => 'Success',
        'message' => 'Customer created successfully',
        'redirect' => '../pages/customer_list.php'

    ]);
    exit();

} else {
    echo json_encode([
        'status' => 'Error',
        'message' => 'Failed to insert customer'
    ]);
    exit();
}
?>