<?php

include 'datab.php';

if (isset($_GET['customer_id'])) {
  $customer_id = $_GET['customer_id'];
}
// Validate and sanitize the customer_id from URL
if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
    $customer_id = (int)$_GET['customer_id'];

    if ($customer_id > 0) {
        // Using prepared statement to prevent SQL injection
        $stmt = $conn->prepare("SELECT * FROM customer_data WHERE id = ?");
        $stmt->bind_param("i", $customer_id);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result && $result->num_rows > 0) {
            $record = $result->fetch_assoc();
            // You can now use $record['column_name']
        } else {
            die("Customer record not found!");
        }

       // $stmt->close();
    } else {
        die("Invalid Customer ID!");
    }
} else {
    die("Customer ID not provided or invalid!");
}

// Close the DB connection
//$conn->close();
$res = [];
$srNo = 1;
if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
    $customer_id = (int)$_GET['customer_id'];

    // 1. Fetch Customer Details
    $customer_query = "SELECT * FROM customer_data WHERE id = '$customer_id'";
    $customer_result = mysqli_query($conn, $customer_query);

    if ($customer_result && mysqli_num_rows($customer_result) > 0) {
        $customer_data = mysqli_fetch_assoc($customer_result);

        // 2. Fetch Active Vehicles of the Customer
        $vehicle_query = "SELECT * FROM customer_car_data 
                          WHERE customer_id = '$customer_id' 
                          AND status = 'Active'";
        $vehicle_result = mysqli_query($conn, $vehicle_query);
        $vehicle_data = mysqli_fetch_all($vehicle_result, MYSQLI_ASSOC);

        // 3. Fetch Last 10 Bookings with Creator Name
        $booking_query = "SELECT 
                            booking_table.id as booking_id,
                            booking_no,
                            DATE_FORMAT(reporting_date,'%d-%m-%Y %h:%i %p') AS reporting_date, 
                            booking_table.status as booking_status, 
                            booking_type,
                            DATE_FORMAT(booking_table.created_on,'%d-%m-%Y %h:%i %p') AS created_on,
                            user_data.user_name as created_by
                          FROM booking_table
                          JOIN user_data ON user_data.id = booking_table.created_by
                          WHERE booking_table.customer_id = '$customer_id'
                          ORDER BY booking_table.created_on DESC
                          LIMIT 10";
        $booking_result = mysqli_query($conn, $booking_query);
        $booking_data = mysqli_fetch_all($booking_result, MYSQLI_ASSOC);

        // 4. Fetch Preferred Drivers
        $preferred_driver_query = "SELECT 
                                      driver_data.id as driver_id, 
                                      driver_name, 
                                      wa_no, 
                                      alt_no,
                                      area, 
                                      CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no
                                  FROM preferred_driver_data
                                  JOIN driver_data ON preferred_driver_data.driver_id = driver_data.id
                                  WHERE preferred_driver_data.customer_id = '$customer_id'
                                     AND driver_data.status = 'Active'
                                  ORDER BY driver_name ASC";
        $preferred_driver_result = mysqli_query($conn, $preferred_driver_query);
        $preferred_driver_data = mysqli_fetch_all($preferred_driver_result, MYSQLI_ASSOC);

        // 5. Fetch Blacklisted Drivers
        $blacklisted_driver_query = "SELECT 
                                        driver_data.id as driver_id, 
                                        driver_name,
                                        CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no,
                                        DATE_FORMAT(blacklisted_driver_data.dateTime,'%d-%m-%Y %h:%i %p') as blacklisted_date,
                                        user_data.user_name as blacklisted_by, 
                                        booking_table.booking_no, 
                                        booking_table.id as booking_id, 
                                        blacklisted_driver_data.reason
                                     FROM blacklisted_driver_data
                                     JOIN driver_data ON blacklisted_driver_data.driver_id = driver_data.id
                                     JOIN user_data ON user_data.id = blacklisted_driver_data.created_by
                                     JOIN booking_table ON booking_table.id = blacklisted_driver_data.booking_id
                                     WHERE blacklisted_driver_data.customer_id = '$customer_id'
                                      AND driver_data.status = 'Active'
                                      AND blacklisted_driver_data.status = 'Active'
                                     ORDER BY driver_name ASC";
        $blacklisted_driver_result = mysqli_query($conn, $blacklisted_driver_query);
        $blacklisted_driver_data = mysqli_fetch_all($blacklisted_driver_result, MYSQLI_ASSOC);

        // Assemble the response
        $res['status'] = 'Success';
        $res['customer_data'] = $customer_data;
        $res['vehicle_data'] = $vehicle_data;
        $res['booking_data'] = $booking_data;
        $res['preferred_driver_data'] = $preferred_driver_data;
        $res['blacklisted_driver_data'] = $blacklisted_driver_data;

    } else {
        $res['status'] = 'Error';
        $res['message'] = 'Customer not found.';
    }
} else {
    $res['status'] = 'Error';
    $res['message'] = 'Invalid or missing customer ID.';
}

mysqli_close($conn);
?>

<!doctype html>
<html lang="en"><!-- [Head] start -->

<head>
  <title>Form Basic | Able Pro Dashboard Template</title><!-- [Meta] -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0,minimal-ui">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="description"
    content="Able Pro is trending dashboard template made using Bootstrap 5 design framework. Able Pro is available in Bootstrap, React, CodeIgniter, Angular,  and .net Technologies.">
  <meta name="keywords"
    content="Bootstrap admin template, Dashboard UI Kit, Dashboard Template, Backend Panel, react dashboard, angular dashboard">
  <meta name="author" content="Phoenixcoded"><!-- [Favicon] icon -->
  <link rel="icon" href="..\assets\images\favicon-1.svg" type="image/x-icon"><!-- [Font] Family -->
  <link rel="stylesheet" href="..\assets\fonts\inter\inter-1.css" id="main-font-link">
  <!-- [phosphor Icons] https://phosphoricons.com/ -->
  <link rel="stylesheet" href="..\assets\fonts\phosphor\duotone\style-1.css">
  <!-- [Tabler Icons] https://tablericons.com -->
  <link rel="stylesheet" href="..\assets\fonts\tabler-icons.min-1.css"><!-- [Feather Icons] https://feathericons.com -->
  <link rel="stylesheet" href="..\assets\fonts\feather-1.css">
  <!-- [Font Awesome Icons] https://fontawesome.com/icons -->
  <link rel="stylesheet" href="..\assets\fonts\fontawesome-1.css">
  <!-- [Material Icons] https://fonts.google.com/icons -->
  <link rel="stylesheet" href="..\assets\fonts\material-1.css"><!-- [Template CSS Files] -->
  <link rel="stylesheet" href="..\assets\css\style-1.css" id="main-style-link">
  <script src="..\assets\js\tech-stack-1.js"></script>
  <link rel="stylesheet" href="..\assets\css\style-preset-1.css">
</head><!-- [Head] end --><!-- [Body] Start -->

<body data-pc-preset="preset-1" data-pc-sidebar-caption="true" data-pc-layout="vertical" data-pc-direction="ltr"
  data-pc-theme_contrast="" data-pc-theme="light"><!-- [ Pre-loader ] start -->
  <div class="loader-bg">
    <div class="loader-track">
      <div class="loader-fill"></div>
    </div>
  </div><!-- [ Pre-loader ] End --><!-- [ Sidebar Menu ] start -->
  <nav class="pc-sidebar">
    <div class="navbar-wrapper">
      <div class="m-header"><a href="..\dashboard\index-1.html"
          class="b-brand text-primary"><!-- ========   Change your logo from here   ============ --> <img
            src="..\assets\images\logo-dark-1.svg" class="img-fluid logo-lg" alt="logo"> <span
            class="badge bg-light-success rounded-pill ms-2 theme-version">v9.5.0</span></a></div>
      <div class="navbar-content">
        <div class="card pc-user-card">
          <div class="card-body">
            <div class="d-flex align-items-center">
              <div class="flex-shrink-0"><img src="..\assets\images\user\avatar-1-1.jpg" alt="user-image"
                  class="user-avtar wid-45 rounded-circle"></div>
              <div class="flex-grow-1 ms-3 me-2">
                <h6 class="mb-0" data-i18n="Jonh Smith">Jonh Smith</h6><small
                  data-i18n="Administrator">Administrator</small>
              </div><a class="btn btn-icon btn-link-secondary avtar" data-bs-toggle="collapse"
                href="#pc_sidebar_userlink"><svg class="pc-icon">
                  <use xlink:href="#custom-sort-outline"></use>
                </svg></a>
            </div>
            <div class="collapse pc-user-links" id="pc_sidebar_userlink">
              <div class="pt-3"><a href="#!"><i class="ti ti-user"></i> <span data-i18n="My Account">My Account</span>
                </a><a
                  href="#!"><i class="ti ti-power"></i> <span data-i18n="Logout">Logout</span></a></div>
            </div>
          </div>
        </div>
        <ul class="pc-navbar">
          <li class="pc-item pc-caption"><label data-i18n="Navigation">Navigation</label></li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/Dashboard.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-box-1"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Dashboard">Dashboard</span></a>
            </li>
          <li class="pc-item">
              <a href="https://spcsolar.in/acting-drive/pages/booking-slot.php" class="pc-link">
                <!--<span class="pc-icon">-->
                <!--  <i class="ph-duotone ph-police-car" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></i>-->
                <!--</span>-->
                <svg class="pc-icon">
                  <use xlink:href="#custom-data"></use>
                </svg> 
                <span class="pc-mtext " data-i18n="Booking" style="margin-left: 5%;">Booking</span>
              </a>
          </li>
          <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/customer_list.php" class="pc-link"><span class="pc-micon"><span class="ph-duotone ph-users-three" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext" data-i18n="Customer">Customer</span></a>
            </li>

          <li class="pc-item pc-hasmenu"><a  class="pc-link"><span class="pc-micon"><svg class="pc-icon">
                  <use xlink:href="#custom-story"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Driver">Driver</span> <span class="pc-arrow"><i
                  data-feather="chevron-right"></i></span></a>
            <ul class="pc-submenu">
              
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/driver_list.php"
                  data-i18n="List Of Drivers">List Of Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/available_drivers.php"
                  data-i18n="Available Drivers">Available Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired-Licence.php" data-i18n="Expiring Licence">Expiring Licence</a>
              </li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired_subscription.php" data-i18n="Expired Subscriptions">Expired Subscriptions</a></li>
            </ul>
          </li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/user_list.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-user"></use>
                </svg> </span><span class="pc-mtext" data-i18n="User">User</span></a>
            </li>
                        <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon">
                                       <span class="ph-duotone ph-calendar-x" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext"
                                data-i18n="Leave">Leave</span> <span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_form.php"
                                      data-i18n="Leave Form">Leave Form</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_history.php"
                                      data-i18n="Leave History">Leave History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_approval.php"
                                      data-i18n="Leave Approval">Leave Approval</a></li>
                    </ul>
              </li>
              <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                      class="pc-icon">
                                      <use xlink:href="#custom-24-support"></use>
                                </svg> </span><span class="pc-mtext"
                                data-i18n="Permission">Permission</span><span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                         <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_form.php"
                                      data-i18n="Permission Form">Permission Form</a></li>
                                      <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_history.php"
                                      data-i18n="Permission History">Permission History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_approval.php"
                                      data-i18n="Permission Approval">Permission Approval</a></li>
                    </ul>
              </li>

                                <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                                      class="pc-icon">
                                                      <use xlink:href="#custom-calendar-1"></use>
                                                </svg> </span><span class="pc-mtext" data-i18n="Attendance">Attendance</span> <span class="pc-arrow"><i
                                                      data-feather="chevron-right"></i></span></a>
                                    <ul class="pc-submenu">
                                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/activity.php"
                                                      data-i18n="Activity">Activity</a></li>
                                          <li class="pc-item pc-hasmenu"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/monthly_report.php"><span
                                                            data-i18n="Monthly">Monthly Report</span></span></a>
                                                
                                          </li>
                                          
                                    </ul>
                              </li>                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/reports.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-notification-status"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Reports">Reports</span></a>
            </li>
                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/feedback.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-star-bold"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Feedback" >Feedback</span></a>
            </li>
        </ul>
      </div>
    </div>
  </nav>    <header class="pc-header">
    <div class="header-wrapper"><!-- [Mobile Media Block] start -->
      <div class="me-auto pc-mob-drp">
        <ul class="list-unstyled"><!-- ======= Menu collapse Icon ===== -->
          <li class="pc-h-item pc-sidebar-collapse"><a href="#" class="pc-head-link ms-0" id="sidebar-hide"><i
                class="ti ti-menu-2"></i></a></li>
          <li class="pc-h-item pc-sidebar-popup"><a href="#" class="pc-head-link ms-0" id="mobile-collapse"><i
                class="ti ti-menu-2"></i></a></li>
          </ul>
      </div><!-- [Mobile Media Block end] -->
     
    </div> <!-- header-wrapper -->
</header> 
  <!-- [ Header ] end --><!-- [ Main Content ] start -->
  <section class="pc-container">
    <div class="pc-content"><!-- [ breadcrumb ] start -->
      <div class="page-header">
        <div class="page-block">
          <div class="row align-items-center">
            <div class="col-md-12">
              <div class="page-header-title">
                <h2 class="mb-0">Edit Customer Info</h2>
              </div>
            </div>
          </div>
        </div>
      </div><!-- [ breadcrumb ] end --><!-- [ Main Content ] start -->
      <div class="row">
        <div class="col-md-12">
          <div class="card">
            <div class="card-header">
              <h5>Personal Details</h5>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-6">
                  <form  method="POST" action="update_customer.php">
                      <input type="hidden" name="id" value="<?php echo $record['id']; ?>">

                    <div class="mb-3"><label class="form-label">Customer Name</label> <input type="text" class="form-control" name="customer_name"
                        value="<?php echo $record['customer_name']; ?>"></div>
                    <div class="mb-3"><label class="form-label">Alternate Number</label> <input type="text" class="form-control" name="alt_no"
                        value="<?php echo $record['alt_no']; ?>"></div>
                     <div class="mb-3">
                        <label class="form-label">Customer Type</label>
                        <select id="customer_type" name="customer_type" class="form-select">
                            <option value="Acting" <?php if ($record['customer_type'] == 'Acting') echo 'selected'; ?>>Acting</option>
                            <option value="Vallet" <?php if ($record['customer_type'] == 'Vallet') echo 'selected'; ?>>Vallet</option>
                        </select>
                    </div>

                    <div class="mb-3"><label class="form-label">Area</label> <input type="text" class="form-control" name="area"
                        value="<?php echo $record['area']; ?>"></div>

                    <div class="mb-3" style="width: 1110px;"><label class="form-label" for="exampleFormControlTextarea1">Address</label> 
                    <textarea class="form-control" id="exampleFormControlTextarea1" name="address"
                        rows="4"><?php echo $record['address']; ?></textarea></div>
                </div>
                <div class="col-md-6">
                    <div class="mb-3"><label class="form-label">Whatsapp Number</label> <input type="text" class="form-control" name="wa_no"
                        value="<?php echo $record['wa_no']; ?>"></div>
                    <div class="mb-3"><label class="form-label">Landline Number</label> <input type="text" class="form-control" name="landline"
                        value="<?php echo $record['landline']; ?>"></div>
                    <div class="mb-3 venue_area d-none"><label class="form-label">Venue Name</label> <input type="text" name="venue_name" id="venue_name" class="form-control"
                    value="<?php echo $record['venue_name']; ?>"></div>
                    <div class="mb-3"><label class="form-label">Location</label> <input type="text" class="form-control" name="location"
                        value="<?php echo $record['location']; ?>"></div>
                </div>
                                    <div class="col-12" ><button class="btn btn-primary" style="margin-left: 90%;" type="submit">Update</button></div>
                  </form>

              </div>
            </div>
          </div>
<script>
    // document.addEventListener("DOMContentLoaded", function () {
    //     const customerType = document.getElementById("customer_type");
    //     const venueArea = document.querySelector(".venue_area");

    //     customerType.addEventListener("change", function () {
    //         if (this.value === "Vallet") {
    //             venueArea.classList.remove("d-none");
    //         } else {
    //             venueArea.classList.add("d-none");
    //         }
    //     });
    // });
        document.addEventListener("DOMContentLoaded", function () {
        const customerType = document.getElementById("customer_type");
        const venueArea = document.querySelector(".venue_area");

        function toggleVenueField() {
            if (customerType.value === "Vallet") {
                venueArea.classList.remove("d-none");
            } else {
                venueArea.classList.add("d-none");
            }
        }

        // Check on change
        customerType.addEventListener("change", toggleVenueField);

        // Check on page load
        toggleVenueField();
    });

</script>
          <!---->
        </div><!-- [ form-element ] end -->
      </div>
    </div><!-- [ Main Content ] end -->
  </section><!-- [ Main Content ] end -->
  <footer class="pc-footer">
    <div class="footer-wrapper container-fluid">
      <div class="row">
        <div class="col my-1">
          <p class="m-0">V-Man &#9829; crafted by <a href="https://cryptographicsolutions.in/"
              target="_blank">Cryptographic Solutions</a></p>
        </div>
      </div>
    </div>
  </footer><!-- Required Js -->
  <script src="..\assets\js\plugins\popper.min-1.js"></script>
  <script src="..\assets\js\plugins\simplebar.min-1.js"></script>
  <script src="..\assets\js\plugins\bootstrap.min-1.js"></script>
  <script src="..\assets\js\plugins\i18next.min-1.js"></script>
  <script src="..\assets\js\plugins\i18nextHttpBackend.min-1.js"></script>
  <script src="..\assets\js\icon\custom-font-1.js"></script>
  <script src="..\assets\js\script-1.js"></script>
  <script src="..\assets\js\theme-1.js"></script>
  <script src="..\assets\js\multi-lang-1.js"></script>
  <script src="..\assets\js\plugins\feather.min-1.js"></script>
<script>
  layout_change("light");
  change_box_container("false");
  layout_caption_change("true");
  layout_rtl_change("false");
  preset_change("preset-8");
  main_layout_change("vertical");
</script> 
</body><!-- [Body] end -->

</html>