
<?php
include 'datab.php';

// Validate and sanitize the user_id from URL
if (isset($_GET['user_id']) && is_numeric($_GET['user_id'])) {
    $user_id = (int)$_GET['user_id'];

    if ($user_id > 0) {
        // Using prepared statement to prevent SQL injection
        $stmt = $conn->prepare("SELECT * FROM user_data WHERE id = ?");
        $stmt->bind_param("i", $user_id);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result && $result->num_rows > 0) {
            $record = $result->fetch_assoc();
            // You can now use $record['column_name']
        } else {
            die("Customer record not found!");
        }

        $stmt->close();
    } else {
        die("Invalid Customer ID!");
    }
} else {
    die("Customer ID not provided or invalid!");
}

// Close the DB connection
$conn->close();
?>
<!doctype html>
<html lang="en"><!-- [Head] start -->

<head>
  <title>Form Basic | Able Pro Dashboard Template</title><!-- [Meta] -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0,minimal-ui">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="description"
    content="Able Pro is trending dashboard template made using Bootstrap 5 design framework. Able Pro is available in Bootstrap, React, CodeIgniter, Angular,  and .net Technologies.">
  <meta name="keywords"
    content="Bootstrap admin template, Dashboard UI Kit, Dashboard Template, Backend Panel, react dashboard, angular dashboard">
  <meta name="author" content="Phoenixcoded"><!-- [Favicon] icon -->
  <link rel="icon" href="..\assets\images\favicon-1.svg" type="image/x-icon"><!-- [Font] Family -->
  <link rel="stylesheet" href="..\assets\fonts\inter\inter-1.css" id="main-font-link">
  <!-- [phosphor Icons] https://phosphoricons.com/ -->
  <link rel="stylesheet" href="..\assets\fonts\phosphor\duotone\style-1.css">
  <!-- [Tabler Icons] https://tablericons.com -->
  <link rel="stylesheet" href="..\assets\fonts\tabler-icons.min-1.css"><!-- [Feather Icons] https://feathericons.com -->
  <link rel="stylesheet" href="..\assets\fonts\feather-1.css">
  <!-- [Font Awesome Icons] https://fontawesome.com/icons -->
  <link rel="stylesheet" href="..\assets\fonts\fontawesome-1.css">
  <!-- [Material Icons] https://fonts.google.com/icons -->
  <link rel="stylesheet" href="..\assets\fonts\material-1.css"><!-- [Template CSS Files] -->
  <link rel="stylesheet" href="..\assets\css\style-1.css" id="main-style-link">
  <script src="..\assets\js\tech-stack-1.js"></script>
  <link rel="stylesheet" href="..\assets\css\style-preset-1.css">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

</head><!-- [Head] end --><!-- [Body] Start -->

<body data-pc-preset="preset-1" data-pc-sidebar-caption="true" data-pc-layout="vertical" data-pc-direction="ltr"
  data-pc-theme_contrast="" data-pc-theme="light"><!-- [ Pre-loader ] start -->
  <div class="loader-bg">
    <div class="loader-track">
      <div class="loader-fill"></div>
    </div>
  </div><!-- [ Pre-loader ] End --><!-- [ Sidebar Menu ] start -->
  <nav class="pc-sidebar">
    <div class="navbar-wrapper">
      <div class="m-header"><a href="..\dashboard\index-1.html"
          class="b-brand text-primary"><!-- ========   Change your logo from here   ============ --> <img
            src="..\assets\images\logo-dark-1.svg" class="img-fluid logo-lg" alt="logo"> <span
            class="badge bg-light-success rounded-pill ms-2 theme-version">v9.5.0</span></a></div>
      <div class="navbar-content">
        <div class="card pc-user-card">
          <div class="card-body">
            <div class="d-flex align-items-center">
              <div class="flex-shrink-0"><img src="..\assets\images\user\avatar-1-1.jpg" alt="user-image"
                  class="user-avtar wid-45 rounded-circle"></div>
              <div class="flex-grow-1 ms-3 me-2">
                <h6 class="mb-0" data-i18n="Jonh Smith">Jonh Smith</h6><small
                  data-i18n="Administrator">Administrator</small>
              </div><a class="btn btn-icon btn-link-secondary avtar" data-bs-toggle="collapse"
                href="#pc_sidebar_userlink"><svg class="pc-icon">
                  <use xlink:href="#custom-sort-outline"></use>
                </svg></a>
            </div>
            <div class="collapse pc-user-links" id="pc_sidebar_userlink">
              <div class="pt-3"><a href="#!"><i class="ti ti-user"></i> <span data-i18n="My Account">My Account</span>
                </a><a
                  href="#!"><i class="ti ti-power"></i> <span data-i18n="Logout">Logout</span></a></div>
            </div>
          </div>
        </div>
        <ul class="pc-navbar">
          <li class="pc-item pc-caption"><label data-i18n="Navigation">Navigation</label></li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/Dashboard.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-box-1"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Dashboard">Dashboard</span></a>
            </li>
          <li class="pc-item">
              <a href="https://spcsolar.in/acting-drive/pages/booking-slot.php" class="pc-link">
                <!--<span class="pc-icon">-->
                <!--  <i class="ph-duotone ph-police-car" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></i>-->
                <!--</span>-->
                <svg class="pc-icon">
                  <use xlink:href="#custom-data"></use>
                </svg> 
                <span class="pc-mtext " data-i18n="Booking" style="margin-left: 5%;">Booking</span>
              </a>
          </li>
          <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/customer_list.php" class="pc-link"><span class="pc-micon"><span class="ph-duotone ph-users-three" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext" data-i18n="Customer">Customer</span></a>
            </li>

          <li class="pc-item pc-hasmenu"><a  class="pc-link"><span class="pc-micon"><svg class="pc-icon">
                  <use xlink:href="#custom-story"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Driver">Driver</span> <span class="pc-arrow"><i
                  data-feather="chevron-right"></i></span></a>
            <ul class="pc-submenu">
              
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/driver_list.php"
                  data-i18n="List Of Drivers">List Of Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/available_drivers.php"
                  data-i18n="Available Drivers">Available Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired-Licence.php" data-i18n="Expiring Licence">Expiring Licence</a>
              </li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired_subscription.php" data-i18n="Expired Subscriptions">Expired Subscriptions</a></li>
            </ul>
          </li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/user_list.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-user"></use>
                </svg> </span><span class="pc-mtext" data-i18n="User">User</span></a>
            </li>
                        <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon">
                                       <span class="ph-duotone ph-calendar-x" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext"
                                data-i18n="Leave">Leave</span> <span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_form.php"
                                      data-i18n="Leave Form">Leave Form</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_history.php"
                                      data-i18n="Leave History">Leave History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_approval.php"
                                      data-i18n="Leave Approval">Leave Approval</a></li>
                    </ul>
              </li>
              <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                      class="pc-icon">
                                      <use xlink:href="#custom-24-support"></use>
                                </svg> </span><span class="pc-mtext"
                                data-i18n="Permission">Permission</span><span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                         <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_form.php"
                                      data-i18n="Permission Form">Permission Form</a></li>
                                      <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_history.php"
                                      data-i18n="Permission History">Permission History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_approval.php"
                                      data-i18n="Permission Approval">Permission Approval</a></li>
                    </ul>
              </li>

                                <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                                      class="pc-icon">
                                                      <use xlink:href="#custom-calendar-1"></use>
                                                </svg> </span><span class="pc-mtext" data-i18n="Attendance">Attendance</span> <span class="pc-arrow"><i
                                                      data-feather="chevron-right"></i></span></a>
                                    <ul class="pc-submenu">
                                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/activity.php"
                                                      data-i18n="Activity">Activity</a></li>
                                          <li class="pc-item pc-hasmenu"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/monthly_report.php"><span
                                                            data-i18n="Monthly">Monthly Report</span></span></a>
                                                
                                          </li>
                                          
                                    </ul>
                              </li>                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/reports.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-notification-status"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Reports">Reports</span></a>
            </li>
                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/feedback.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-star-bold"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Feedback" >Feedback</span></a>
            </li>
        </ul>
      </div>
    </div>
  </nav>    
  <header class="pc-header">
    <div class="header-wrapper"><!-- [Mobile Media Block] start -->
      <div class="me-auto pc-mob-drp">
        <ul class="list-unstyled"><!-- ======= Menu collapse Icon ===== -->
          <li class="pc-h-item pc-sidebar-collapse"><a href="#" class="pc-head-link ms-0" id="sidebar-hide"><i
                class="ti ti-menu-2"></i></a></li>
          <li class="pc-h-item pc-sidebar-popup"><a href="#" class="pc-head-link ms-0" id="mobile-collapse"><i
                class="ti ti-menu-2"></i></a></li>
          </ul>
      </div><!-- [Mobile Media Block end] -->
     
    </div> <!-- header-wrapper -->
</header> 
  <!-- [ Header ] end --><!-- [ Main Content ] start -->
  <section class="pc-container">
    <div class="pc-content"><!-- [ breadcrumb ] start -->
      <div class="page-header">
        <div class="page-block">
          <div class="row align-items-center">
            <div class="col-md-12">
              <div class="page-header-title">
                <h2 class="mb-0">Edit User Info</h2>
              </div>
            </div>
          </div>
        </div>
      </div><!-- [ breadcrumb ] end --><!-- [ Main Content ] start -->
      <div class="row">
        <div class="col-md-12">
          <div class="card">
            <div class="card-header">
              <h5>Personal Details</h5>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-6">
                <form method="POST" action="update_user.php">
                  <input type="hidden" name="user_id" value="<?php echo $record['id']; ?>">
                    <div class="mb-3"><label class="form-label">User Name</label> <input type="text" name="user_name" class="form-control"
                        value="<?php echo $record['user_name']; ?>"></div>
                    <div class="mb-3"><label class="form-label" for="exampleInputEmail1">Email address</label> <input
                        type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp"  name="email"
                        value="<?php echo $record['email']; ?>"></div>

                    <div class="mb-3"><label class="form-label">Designation</label> <input type="text" class="form-control"  name="designation"
                        value="<?php echo $record['designation']; ?>"></div>
                    <div class="mb-3"><label class="form-label">Pan Card</label> <input type="text" class="form-control"  name="pan_no"
                        value="<?php echo $record['pan_no']; ?>"></div>
                    <div class="mb-3" style="width: 1110px;"><label class="form-label" for="exampleFormControlTextarea1">Address</label> 
                    <textarea class="form-control" id="exampleFormControlTextarea1"  name="permanent_address"
                        rows="4"><?php echo $record['permanent_address']; ?></textarea></div>

                </div>
                <div class="col-md-6">
                    <div class="mb-3"><label class="form-label">Phone No</label> <input type="text" class="form-control"  name="mobile_no"
                        value="<?php echo $record['mobile_no']; ?>"></div>
                    <div class="mb-3"><label class="form-label">Date of Birthday</label> <input type="date" class="form-control"  name="dob"
                        value="<?php echo $record['dob']; ?>"></div> 
                    <div class="mb-3"><label class="form-label">Blood Group</label> <input type="text" class="form-control"  name="blood_group"
                        value="<?php echo $record['blood_group']; ?>"></div>
                    <div class="mb-3"><label class="form-label">Aadhaar Number</label> <input type="text" class="form-control"  name="aadhaar_no"
                       value="<?php echo $record['aadhaar_no']; ?>"></div>
                </div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header">
              <h5>Bank Details</h5>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-6">
                    <div class="mb-3"><label class="form-label">Account Name</label> <input type="text" class="form-control"  name="ac_name"
                       value="<?php echo $record['ac_name']; ?>"></div>
                    <div class="mb-3"><label class="form-label">Account Number</label> <input type="text" class="form-control"  name="ac_no"
                        value="<?php echo $record['ac_no']; ?>"></div>
                    <div class="mb-3"><label class="form-label">UPI ID</label> <input type="text" class="form-control"  name="upi_id"
                       value="<?php echo $record['upi_id']; ?>"></div>
                </div>
                <div class="col-md-6">
                    <div class="mb-3"><label class="form-label">Bank Name</label> <input type="text" class="form-control"  name="bank_name"
                        value="<?php echo $record['bank_name']; ?>"></div>
                    <div class="mb-3"><label class="form-label">IFSC Code</label> <input type="text" class="form-control"  name="ifsc_code"
                       value="<?php echo $record['ifsc_code']; ?>"></div>
                </div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header">
              <h5>Employment Detail</h5>
            </div>
            <div class="card-body">
              <div class="row g-4">
                  <!---->
                  <div class="row mt-4">
                          <div class="col">
                            <div class="row">
                              <div class="col-md-8">
                                <div class="mb-3">
                                  <label class="form-label ">Designation</label>
                                  <input
                                    id="designation"
                                    type="text"
                                    class="form-control"
                                    value="<?php echo $record['designation']; ?>"
                                     name="designation"
                                  />
                                </div>
                              </div>
                              <div class="col-md-4">
                                <div class="mb-3">
                                  <label class="form-label ">Employment Type</label>
                                    <select id="employment_type"  name="employment_type" class="form-select">
                                      <option value="Permanent" <?php if($record['employment_type'] == 'Permanent') echo 'selected'; ?>>Permanent</option>
                                      <option value="Temporary" <?php if($record['employment_type'] == 'Temporary') echo 'selected'; ?>>Temporary</option>
                                    </select>
                                </div>
                              </div>
                              
                              <div class="col-md-4">
                                <div class="mb-3">
                                  <label class="form-label ">Role</label>
                                    <select id="role"  name="role" class="form-select">
                                      <option value="Admin" <?php if($record['role'] == 'Admin') echo 'selected'; ?>>Admin</option>
                                      <option value="User" <?php if($record['role'] == 'User') echo 'selected'; ?>>User</option>
                                    </select>
                                </div>
                              </div> 
                              <div class="col-md-4">
                                <div class="mb-3">
                                  <label class="form-label ">Date of Joining</label>
                                  <input
                                   name="doj"
                                    id="doj"
                                    type="date"
                                    class="form-control"
                                     value="<?php echo $record['doj']; ?>"
                                    name="doj"
                                  />
                                </div>
                              </div> 
                               <?php
                                include 'datab.php';
                                
                                $query = "SELECT shift_name, login_time, logout_time, interval_time FROM master_shifts";
                                $result = mysqli_query($conn, $query);
                                
                                $shifts = [];
                                while ($row = mysqli_fetch_assoc($result)) {
                                    $shifts[] = $row;
                                }
                                
                                $login_time = $record['login_time'] ?? '';
                                $logout_time = $record['logout_time'] ?? '';
                                $interval_time = $record['interval_time'] ?? '';
                                ?>
                                

                                <div class="col-md-4">
                                  <div class="mb-3">
                                    <label class="form-label">Shift</label>
                                    <select id="shift_name" class="form-select">
                                      <option value="">Select Shift</option>
                                    </select>
                                  </div>
                                </div>
                                
                                <input id="login_time"  name="login_time" type="hidden" value="<?php echo $login_time; ?>" />
                                <input id="logout_time"   name="logout_time" type="hidden" value="<?php echo $logout_time; ?>" />
                                <input id="interval_time"  name="interval_time" type="hidden" value="<?php echo $interval_time; ?>" />
                                
                                <script>
                                  const shiftData = <?php echo json_encode($shifts); ?>;
                                  const preLogin = "<?php echo $login_time; ?>";
                                  const preLogout = "<?php echo $logout_time; ?>";
                                  const preInterval = "<?php echo $interval_time; ?>";
                                
                                  console.log("Shift Data:", shiftData); // Debug
                                
                                  $(document).ready(function () {
                                    shiftData.forEach(shift => {
                                      const option = $('<option>', {
                                        value: shift.shift_name,
                                        text: shift.shift_name,
                                        'data-login': shift.login_time,
                                        'data-logout': shift.logout_time,
                                        'data-interval': shift.interval_time
                                      });
                                
                                      if (
                                        shift.login_time === preLogin &&
                                        shift.logout_time === preLogout &&
                                        shift.interval_time === preInterval
                                      ) {
                                        option.prop('selected', true);
                                        $('#login_time').val(shift.login_time);
                                        $('#logout_time').val(shift.logout_time);
                                        $('#interval_time').val(shift.interval_time);
                                      }
                                
                                      $('#shift_name').append(option);
                                    });
                                
                                    $('#shift_name').on('change', function () {
                                      const selected = $(this).find('option:selected');
                                      $('#login_time').val(selected.data('login') || '');
                                      $('#logout_time').val(selected.data('logout') || '');
                                      $('#interval_time').val(selected.data('interval') || '');
                                    });
                                  });
                                </script>

                              <div class="col-md-4">
                                <div class="mb-3">
                                  <label class="form-label ">Monthly Salary</label>
                                  <input
                                    id="salary"
                                    type="number"
                                    class="form-control"
                                    value="<?php echo $record['salary']; ?>"
                                    name="salary"
                                  />
                                </div>
                              </div>
                              <div class="col-md-4">
                                <div class="mb-3">
                                  <label class="form-label ">Casual Leave</label>
                                  <input
                                    id="casual_leave"
                                    type="number"
                                    class="form-control"
                                    value="<?php echo $record['casual_leave']; ?>"
                                     name="casual_leave"
                                  />
                                </div>
                              </div>
                              <div class="col-md-4">
                                <div class="mb-3">
                                  <label class="form-label ">Sick Leave</label>
                                  <input
                                    id="sick_leave"
                                    type="number"
                                    class="form-control"
                                    value="<?php echo $record['sick_leave']; ?>"
                                     name="sick_leave"
                                  />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="col-12"><button class="btn btn-primary"  type="submit" style="margin-left: 90%;">Update</button></div>
                    </form>

                  <!---->
                  <!---->
                </div>
              </div>
            </div>
          </div>
          
          
          
        </div><!-- [ form-element ] end -->
      </div>
    </div><!-- [ Main Content ] end -->
  </section><!-- [ Main Content ] end -->
  <footer class="pc-footer">
    <div class="footer-wrapper container-fluid">
      <div class="row">
        <div class="col my-1">
          <p class="m-0">V-Man &#9829; crafted by <a href="https://cryptographicsolutions.in/"
              target="_blank">Cryptographic Solutions</a></p>
        </div>
      </div>
    </div>
  </footer><!-- Required Js -->
  <script src="..\assets\js\plugins\popper.min-1.js"></script>
  <script src="..\assets\js\plugins\simplebar.min-1.js"></script>
  <script src="..\assets\js\plugins\bootstrap.min-1.js"></script>
  <script src="..\assets\js\plugins\i18next.min-1.js"></script>
  <script src="..\assets\js\plugins\i18nextHttpBackend.min-1.js"></script>
  <script src="..\assets\js\icon\custom-font-1.js"></script>
  <script src="..\assets\js\script-1.js"></script>
  <script src="..\assets\js\theme-1.js"></script>
  <script src="..\assets\js\multi-lang-1.js"></script>
  <script src="..\assets\js\plugins\feather.min-1.js"></script>
<script>
  layout_change("light");
  change_box_container("false");
  layout_caption_change("true");
  layout_rtl_change("false");
  preset_change("preset-8");
  main_layout_change("vertical");
</script> 
</body><!-- [Body] end -->

</html>