<?php
session_start();
include 'datab.php';

header('Content-Type: application/json');
$response = ['status' => '', 'message' => ''];

if (!isset($_POST['id']) || !is_numeric($_POST['id'])) {
    $response['status'] = 'error';
    $response['message'] = 'Invalid or missing ID.';
    echo json_encode($response);
    exit;
}

$driver_id = $_POST['id'];
$suspended_reason = $_POST['suspended_reason'] ?? '';

$updateQuery = "UPDATE driver_data SET suspended_reason = ?, status = 'Suspended' WHERE id = ?";
$updateStmt = $conn->prepare($updateQuery);

if (!$updateStmt) {
    $response['status'] = 'error';
    $response['message'] = 'Prepare failed: ' . $conn->error;
    echo json_encode($response);
    exit;
}

$updateStmt->bind_param("si", $license_expiry, $driver_id);

if ($updateStmt->execute()) {
    $_SESSION['success_message'] = "License expiry updated successfully.";
    $response['status'] = 'success';
    $response['message'] = 'Driver license expiry updated.';
} else {
    $response['status'] = 'error';
    $response['message'] = 'Update failed: ' . $updateStmt->error;
}

$updateStmt->close();
$conn->close();

echo json_encode($response);
?>
