<?php
session_start();
include 'datab.php';

header('Content-Type: application/json');
$response = ['status' => '', 'message' => ''];

if (!isset($_POST['id']) || !is_numeric($_POST['id'])) {
    $response['status'] = 'error';
    $response['message'] = 'Invalid or missing ID.';
    echo json_encode($response);
    exit;
}

$driver_id = $_POST['id'];
$driver_category = $_POST['driver_category'] ?? '';
$expiry_date = $_POST['expiry_date'] ?? '';
$paymentRemarks = $_POST['paymentRemarks'] ?? '';
$updated_on = date('Y-m-d H:i:s');

$updateQuery = "UPDATE driver_data SET driver_category = ?, expiry_date = ?, paymentRemarks = ?, updated_on = ? WHERE id = ?";
$updateStmt = $conn->prepare($updateQuery);

if (!$updateStmt) {
    $response['status'] = 'error';
    $response['message'] = 'Prepare failed: ' . $conn->error;
    echo json_encode($response);
    exit;
}

$updateStmt->bind_param("ssssi", $driver_category, $expiry_date, $paymentRemarks, $updated_on, $driver_id);

if ($updateStmt->execute()) {
    $_SESSION['success_message'] = "Subscription expiry updated successfully.";
    $response['status'] = 'success';
    $response['message'] = 'Subscription expiry updated.';
} else {
    $response['status'] = 'error';
    $response['message'] = 'Update failed: ' . $updateStmt->error;
}

$updateStmt->close();
$conn->close();

echo json_encode($response);
?>
