<?php
require_once 'datab.php';

if (isset($_FILES['uploaded_avatar_file']) && $_FILES['uploaded_avatar_file']['error'] == 0) {
    $avatar_dir = "../assets/images/user/";
    if (!is_dir($avatar_dir)) {
        mkdir($avatar_dir, 0777, true);
    }

    // Get the original filename and avoid modifying it
    $original_name = basename($_FILES['uploaded_avatar_file']['name']);
    $avatar_target_path = $avatar_dir . $original_name;

    // Check file type
    $imageFileType = strtolower(pathinfo($avatar_target_path, PATHINFO_EXTENSION));
    $allowedTypes = ['jpg', 'png', 'jpeg', 'gif'];

    if (!in_array($imageFileType, $allowedTypes)) {
        echo json_encode([
            'status' => 'Error',
            'message' => 'Only JPG, JPEG, PNG & GIF files are allowed!'
        ]);
        exit();
    }

    // Move the file to the target directory
    if (move_uploaded_file($_FILES['uploaded_avatar_file']['tmp_name'], $avatar_target_path)) {
        $selected_avatar = $original_name; // Keep the original name
        echo json_encode([
            'status' => 'Success',
            'message' => 'Avatar uploaded successfully!',
            'avatar' => $selected_avatar
        ]);
    } else {
        echo json_encode([
            'status' => 'Error',
            'message' => 'Error uploading the avatar!'
        ]);
    }
} else {
    // If no file is uploaded, use the selected avatar
    $selected_avatar = $_POST['selected_avatar'];
    echo json_encode([
        'status' => 'Success',
        'message' => 'Avatar selected successfully!',
        'avatar' => $selected_avatar
    ]);
}
?>
