<?php
require_once '../datab.php';
require_once "../get_session.php"; // Assuming this sets up session info like $created_by

$res = [];

// Get all the form data
$name = mysqli_real_escape_string($conn, $_POST['user_name']);
$emp_code = mysqli_real_escape_string($conn, $_POST['emp_code']);
$email = mysqli_real_escape_string($conn, $_POST['email']);
$mobile = mysqli_real_escape_string($conn, $_POST['mobile_no']);
$permanent_address = mysqli_real_escape_string($conn, $_POST['permanent_address']);
$dob = mysqli_real_escape_string($conn, $_POST['dob']);
$pan_no = mysqli_real_escape_string($conn, $_POST['pan_no']);
$aadhaar_no = mysqli_real_escape_string($conn, $_POST['aadhaar_no']);
$blood_group = mysqli_real_escape_string($conn, $_POST['blood_group']);
$ac_name = mysqli_real_escape_string($conn, $_POST['ac_name']);
$ac_no = mysqli_real_escape_string($conn, $_POST['ac_no']);
$ifsc_code = mysqli_real_escape_string($conn, $_POST['ifsc_code']);
$bank_name = mysqli_real_escape_string($conn, $_POST['bank_name']);
$upi_id = mysqli_real_escape_string($conn, $_POST['upi_id']);
$salary = mysqli_real_escape_string($conn, $_POST['salary']);
$sick_leave = mysqli_real_escape_string($conn, $_POST['sick_leave']);
$casual_leave = mysqli_real_escape_string($conn, $_POST['casual_leave']);
$designation = mysqli_real_escape_string($conn, $_POST['designation']);
$employment_type = mysqli_real_escape_string($conn, $_POST['employment_type']);
$doj = mysqli_real_escape_string($conn, $_POST['doj']);
$role = mysqli_real_escape_string($conn, $_POST['role']);
// $password = mysqli_real_escape_string($conn, $_POST['password']);
$dateTime = date("Y-m-d H:i:s");
$created_by = mysqli_real_escape_string($conn, $_SESSION['user_name']);
$login_time = mysqli_real_escape_string($conn, $_POST['login_time']);
$logout_time = mysqli_real_escape_string($conn, $_POST['logout_time']);
$interval_time = mysqli_real_escape_string($conn, $_POST['interval_time']);
$selected_avatar = ''; // Initialize avatar variable

if (isset($_FILES['uploaded_avatar_file']) && $_FILES['uploaded_avatar_file']['error'] == 0) {
    $avatar_dir = "../assets/images/user/";

    if (!is_dir($avatar_dir)) {
        mkdir($avatar_dir, 0777, true);
    }

    $avatar_file_name = basename($_FILES['uploaded_avatar_file']['name']); // <- ORIGINAL NAME
    $avatar_target_path = $avatar_dir . $avatar_file_name;

    $imageFileType = strtolower(pathinfo($avatar_target_path, PATHINFO_EXTENSION));
    $allowedTypes = ['jpg', 'png', 'jpeg', 'gif'];

    if (!in_array($imageFileType, $allowedTypes)) {
        echo json_encode([
            'status' => 'Error',
            'message' => 'Only JPG, JPEG, PNG & GIF files are allowed!'
        ]);
        exit();
    }

    if (move_uploaded_file($_FILES['uploaded_avatar_file']['tmp_name'], $avatar_target_path)) {
        $selected_avatar = $avatar_file_name; // Store original file name
    } else {
        echo json_encode([
            'status' => 'Error',
            'message' => 'Error uploading the avatar!'
        ]);
        exit();
    }
} else {
    $selected_avatar = mysqli_real_escape_string($conn, $_POST['selected_avatar']);
}
$uploaded_document_names = [];

if (!empty($_FILES['document_file']['name'][0])) {
    $doc_dir = "user/documents/";
    if (!is_dir($doc_dir)) {
        mkdir($doc_dir, 0777, true);
    }

    foreach ($_FILES['document_file']['name'] as $index => $originalFileName) {
        $tmpName = $_FILES['document_file']['tmp_name'][$index];
        $error = $_FILES['document_file']['error'][$index];

        $documentName = isset($_POST['document_name'][$index]) ? mysqli_real_escape_string($conn, $_POST['document_name'][$index]) : 'Document';

        if ($error === 0) {
            $ext = pathinfo($originalFileName, PATHINFO_EXTENSION);
            $safeName = preg_replace('/[^A-Za-z0-9_\-]/', '_', $documentName);
            $finalName = $safeName . "_" . time() . '.' . $ext;

            $destination = $doc_dir . $finalName;

            if (move_uploaded_file($tmpName, $destination)) {
                $uploaded_document_names[] = $finalName;
            }
        }
    }
}

$all_document_names = implode(',', $uploaded_document_names);

// Check if mobile number already exists
$check_mobile_no = mysqli_query($conn, "SELECT * FROM user_data WHERE mobile_no = '$mobile' AND status = 'Active'");

if (mysqli_num_rows($check_mobile_no) > 0) {
    echo json_encode([
        'status' => 'Mobile Number',
        'message' => 'Mobile number already exists!'
    ]);
    exit();
}

// $enc_pass = password_hash($password, PASSWORD_DEFAULT);

$hashed_password = password_hash($password, PASSWORD_DEFAULT);

// Insert user data into the database
$sql = "INSERT INTO user_data 
        (user_name, emp_code, email, mobile_no, permanent_address, dob, pan_no, aadhaar_no, blood_group, selected_avatar, 
         ac_name, ac_no, ifsc_code, bank_name, upi_id, salary, sick_leave, casual_leave, designation, employment_type, 
         doj, role, password, status, dateTime, created_by, login_time, logout_time, interval_time, document_name)
        VALUES ('$name', '$emp_code', '$email', '$mobile', '$permanent_address', '$dob', '$pan_no', '$aadhaar_no', 
                '$blood_group', '$selected_avatar', '$ac_name', '$ac_no', '$ifsc_code', '$bank_name', '$upi_id', 
                '$salary', '$sick_leave', '$casual_leave', '$designation', '$employment_type', '$doj', '$role', 
                '$hashed_password', 'Active', '$dateTime', '$created_by', '$login_time', '$logout_time', '$interval_time', '$all_document_names')";

if (mysqli_query($conn, $sql)) {
    echo json_encode([
        'status' => 'Success',
        'message' => 'User created successfully!'
    ]);
} else {
    echo json_encode([
        'status' => 'Error',
        'message' => 'Failed to insert user'
    ]);
}

mysqli_close($conn);
?>
