<?php

include 'datab.php';

if (isset($_GET['customer_id'])) {
  $customer_id = $_GET['customer_id'];
}
// Validate and sanitize the customer_id from URL
if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
    $customer_id = (int)$_GET['customer_id'];

    if ($customer_id > 0) {
        // Using prepared statement to prevent SQL injection
        $stmt = $conn->prepare("SELECT * FROM customer_data WHERE id = ?");
        $stmt->bind_param("i", $customer_id);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result && $result->num_rows > 0) {
            $record = $result->fetch_assoc();
            // You can now use $record['column_name']
        } else {
            die("Customer record not found!");
        }

       // $stmt->close();
    } else {
        die("Invalid Customer ID!");
    }
} else {
    die("Customer ID not provided or invalid!");
}

// Close the DB connection
//$conn->close();
$res = [];
$srNo = 1;
if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
    $customer_id = (int)$_GET['customer_id'];

    // 1. Fetch Customer Details
    $customer_query = "SELECT * FROM customer_data WHERE id = '$customer_id'";
    $customer_result = mysqli_query($conn, $customer_query);

    if ($customer_result && mysqli_num_rows($customer_result) > 0) {
        $customer_data = mysqli_fetch_assoc($customer_result);

        // 2. Fetch Active Vehicles of the Customer
        $vehicle_query = "SELECT * FROM customer_car_data 
                          WHERE customer_id = '$customer_id' 
                          AND status = 'Active'";
        $vehicle_result = mysqli_query($conn, $vehicle_query);
        $vehicle_data = mysqli_fetch_all($vehicle_result, MYSQLI_ASSOC);

        // 3. Fetch Last 10 Bookings with Creator Name
        $booking_query = "SELECT 
                            booking_table.id as booking_id,
                            booking_no,
                            DATE_FORMAT(reporting_date,'%d-%m-%Y %h:%i %p') AS reporting_date, 
                            booking_table.status as booking_status, 
                            booking_type,
                            DATE_FORMAT(booking_table.created_on,'%d-%m-%Y %h:%i %p') AS created_on,
                            user_data.user_name as created_by
                          FROM booking_table
                          JOIN user_data ON user_data.id = booking_table.created_by
                          WHERE booking_table.customer_id = '$customer_id'
                          ORDER BY booking_table.created_on DESC
                          LIMIT 10";
        $booking_result = mysqli_query($conn, $booking_query);
        $booking_data = mysqli_fetch_all($booking_result, MYSQLI_ASSOC);

        // 4. Fetch Preferred Drivers
        $preferred_driver_query = "SELECT 
                                      driver_data.id as driver_id, 
                                      driver_name, 
                                      wa_no, 
                                      alt_no,
                                      area, 
                                      CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no
                                  FROM preferred_driver_data
                                  JOIN driver_data ON preferred_driver_data.driver_id = driver_data.id
                                  WHERE preferred_driver_data.customer_id = '$customer_id'
                                     AND driver_data.status = 'Active'
                                  ORDER BY driver_name ASC";
        $preferred_driver_result = mysqli_query($conn, $preferred_driver_query);
        $preferred_driver_data = mysqli_fetch_all($preferred_driver_result, MYSQLI_ASSOC);

        // 5. Fetch Blacklisted Drivers
        $blacklisted_driver_query = "SELECT 
                                        driver_data.id as driver_id, 
                                        driver_name,
                                        CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no,
                                        DATE_FORMAT(blacklisted_driver_data.dateTime,'%d-%m-%Y %h:%i %p') as blacklisted_date,
                                        user_data.user_name as blacklisted_by, 
                                        booking_table.booking_no, 
                                        booking_table.id as booking_id, 
                                        blacklisted_driver_data.reason
                                     FROM blacklisted_driver_data
                                     JOIN driver_data ON blacklisted_driver_data.driver_id = driver_data.id
                                     JOIN user_data ON user_data.id = blacklisted_driver_data.created_by
                                     JOIN booking_table ON booking_table.id = blacklisted_driver_data.booking_id
                                     WHERE blacklisted_driver_data.customer_id = '$customer_id'
                                      AND driver_data.status = 'Active'
                                      AND blacklisted_driver_data.status = 'Active'
                                     ORDER BY driver_name ASC";
        $blacklisted_driver_result = mysqli_query($conn, $blacklisted_driver_query);
        $blacklisted_driver_data = mysqli_fetch_all($blacklisted_driver_result, MYSQLI_ASSOC);

        // Assemble the response
        $res['status'] = 'Success';
        $res['customer_data'] = $customer_data;
        $res['vehicle_data'] = $vehicle_data;
        $res['booking_data'] = $booking_data;
        $res['preferred_driver_data'] = $preferred_driver_data;
        $res['blacklisted_driver_data'] = $blacklisted_driver_data;

    } else {
        $res['status'] = 'Error';
        $res['message'] = 'Customer not found.';
    }
} else {
    $res['status'] = 'Error';
    $res['message'] = 'Invalid or missing customer ID.';
}

mysqli_close($conn);
?>


<!doctype html>
<html lang="en"><!-- [Head] start -->

<head>
    <title>Vman | Customer Details</title><!-- [Meta] -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0,minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description"
        content="Able Pro is trending dashboard template made using Bootstrap 5 design framework. Able Pro is available in Bootstrap, React, CodeIgniter, Angular,  and .net Technologies.">
    <meta name="keywords"
        content="Bootstrap admin template, Dashboard UI Kit, Dashboard Template, Backend Panel, react dashboard, angular dashboard">
    <meta name="author" content="Phoenixcoded"><!-- [Favicon] icon -->
    <link rel="icon" href="..\assets\images\favicon-1.svg" type="image/x-icon"><!-- [Font] Family -->
    <link rel="stylesheet" href="..\assets\fonts\inter\inter-1.css" id="main-font-link">
    <!-- [phosphor Icons] https://phosphoricons.com/ -->
    <link rel="stylesheet" href="..\assets\fonts\phosphor\duotone\style-1.css">
    <!-- [Tabler Icons] https://tablericons.com -->
    <link rel="stylesheet" href="..\assets\fonts\tabler-icons.min-1.css">
    <!-- [Feather Icons] https://feathericons.com -->
    <link rel="stylesheet" href="..\assets\fonts\feather-1.css">
    <!-- [Font Awesome Icons] https://fontawesome.com/icons -->
    <link rel="stylesheet" href="..\assets\fonts\fontawesome-1.css">
    <!-- [Material Icons] https://fonts.google.com/icons -->
    <link rel="stylesheet" href="..\assets\fonts\material-1.css"><!-- [Template CSS Files] -->
    <link rel="stylesheet" href="..\assets\css\style-1.css" id="main-style-link">
    <script src="..\assets\js\tech-stack-1.js"></script>
    <link rel="stylesheet" href="..\assets\css\style-preset-1.css">
</head><!-- [Head] end --><!-- [Body] Start -->

<body data-pc-preset="preset-1" data-pc-sidebar-caption="true" data-pc-layout="vertical" data-pc-direction="ltr"
    data-pc-theme_contrast="" data-pc-theme="light"><!-- [ Pre-loader ] start -->
    <div class="loader-bg">
        <div class="loader-track">
            <div class="loader-fill"></div>
        </div>
    </div><!-- [ Pre-loader ] End --><!-- [ Sidebar Menu ] start -->
    <nav class="pc-sidebar">
    <div class="navbar-wrapper">
      <div class="m-header"><a href="..\dashboard\index-1.html"
          class="b-brand text-primary"><!-- ========   Change your logo from here   ============ --> <img
            src="..\assets\images\logo-dark-1.svg" class="img-fluid logo-lg" alt="logo"> <span
            class="badge bg-light-success rounded-pill ms-2 theme-version">v9.5.0</span></a></div>
      <div class="navbar-content">
        <div class="card pc-user-card">
          <div class="card-body">
            <div class="d-flex align-items-center">
              <div class="flex-shrink-0"><img src="..\assets\images\user\avatar-1-1.jpg" alt="user-image"
                  class="user-avtar wid-45 rounded-circle"></div>
              <div class="flex-grow-1 ms-3 me-2">
                <h6 class="mb-0" data-i18n="Jonh Smith">Jonh Smith</h6><small
                  data-i18n="Administrator">Administrator</small>
              </div><a class="btn btn-icon btn-link-secondary avtar" data-bs-toggle="collapse"
                href="#pc_sidebar_userlink"><svg class="pc-icon">
                  <use xlink:href="#custom-sort-outline"></use>
                </svg></a>
            </div>
            <div class="collapse pc-user-links" id="pc_sidebar_userlink">
              <div class="pt-3"><a href="#!"><i class="ti ti-user"></i> <span data-i18n="My Account">My Account</span>
                </a><a
                  href="#!"><i class="ti ti-power"></i> <span data-i18n="Logout">Logout</span></a></div>
            </div>
          </div>
        </div>
        <ul class="pc-navbar">
          <li class="pc-item pc-caption"><label data-i18n="Navigation">Navigation</label></li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/Dashboard.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-box-1"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Dashboard">Dashboard</span></a>
            </li>
          <li class="pc-item">
              <a href="https://spcsolar.in/acting-drive/pages/booking-slot.php" class="pc-link">
                <!--<span class="pc-icon">-->
                <!--  <i class="ph-duotone ph-police-car" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></i>-->
                <!--</span>-->
                <svg class="pc-icon">
                  <use xlink:href="#custom-data"></use>
                </svg> 
                <span class="pc-mtext " data-i18n="Booking" style="margin-left: 5%;">Booking</span>
              </a>
          </li>
          <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/customer_list.php" class="pc-link"><span class="pc-micon"><span class="ph-duotone ph-users-three" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext" data-i18n="Customer">Customer</span></a>
            </li>

          <li class="pc-item pc-hasmenu"><a  class="pc-link"><span class="pc-micon"><svg class="pc-icon">
                  <use xlink:href="#custom-story"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Driver">Driver</span> <span class="pc-arrow"><i
                  data-feather="chevron-right"></i></span></a>
            <ul class="pc-submenu">
              
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/driver_list.php"
                  data-i18n="List Of Drivers">List Of Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/available_drivers.php"
                  data-i18n="Available Drivers">Available Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired-Licence.php" data-i18n="Expiring Licence">Expiring Licence</a>
              </li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired_subscription.php" data-i18n="Expired Subscriptions">Expired Subscriptions</a></li>
            </ul>
          </li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/user_list.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-user"></use>
                </svg> </span><span class="pc-mtext" data-i18n="User">User</span></a>
            </li>
                        <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon">
                                       <span class="ph-duotone ph-calendar-x" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext"
                                data-i18n="Leave">Leave</span> <span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_form.php"
                                      data-i18n="Leave Form">Leave Form</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_history.php"
                                      data-i18n="Leave History">Leave History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_approval.php"
                                      data-i18n="Leave Approval">Leave Approval</a></li>
                    </ul>
              </li>
              <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                      class="pc-icon">
                                      <use xlink:href="#custom-24-support"></use>
                                </svg> </span><span class="pc-mtext"
                                data-i18n="Permission">Permission</span><span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                         <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_form.php"
                                      data-i18n="Permission Form">Permission Form</a></li>
                                      <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_history.php"
                                      data-i18n="Permission History">Permission History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_approval.php"
                                      data-i18n="Permission Approval">Permission Approval</a></li>
                    </ul>
              </li>

                                <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                                      class="pc-icon">
                                                      <use xlink:href="#custom-calendar-1"></use>
                                                </svg> </span><span class="pc-mtext" data-i18n="Attendance">Attendance</span> <span class="pc-arrow"><i
                                                      data-feather="chevron-right"></i></span></a>
                                    <ul class="pc-submenu">
                                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/activity.php"
                                                      data-i18n="Activity">Activity</a></li>
                                          <li class="pc-item pc-hasmenu"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/monthly_report.php"><span
                                                            data-i18n="Monthly">Monthly Report</span></span></a>
                                                
                                          </li>
                                          
                                    </ul>
                              </li>                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/reports.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-notification-status"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Reports">Reports</span></a>
            </li>
                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/feedback.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-star-bold"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Feedback" >Feedback</span></a>
            </li>
        </ul>
      </div>
    </div>
  </nav><!-- [ Sidebar Menu ] end --><!-- [ Header Topbar ] start -->  
  <header class="pc-header">
    <div class="header-wrapper"><!-- [Mobile Media Block] start -->
      <div class="me-auto pc-mob-drp">
        <ul class="list-unstyled"><!-- ======= Menu collapse Icon ===== -->
          <li class="pc-h-item pc-sidebar-collapse"><a href="#" class="pc-head-link ms-0" id="sidebar-hide"><i
                class="ti ti-menu-2"></i></a></li>
          <li class="pc-h-item pc-sidebar-popup"><a href="#" class="pc-head-link ms-0" id="mobile-collapse"><i
                class="ti ti-menu-2"></i></a></li>
          </ul>
      </div><!-- [Mobile Media Block end] -->
      <div class="ms-auto">
          <div class="dropdown pc-h-item header-user-profile"><a class="pc-head-link dropdown-toggle arrow-none me-0"
              data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" data-bs-auto-close="outside"
              aria-expanded="false"><img src="..\assets\images\user\avatar-2-1.jpg" alt="user-image"
                class="user-avtar"></a>
            <div class="dropdown-menu dropdown-user-profile dropdown-menu-end pc-h-dropdown">
              <div class="dropdown-body">
                <div class="profile-notification-scroll position-relative" style="max-height: calc(100vh - 225px)">
                  <div class="d-grid mb-3"><button class="btn btn-primary"><svg class="pc-icon me-2">
                        <use xlink:href="#custom-logout-1-outline"></use>
                      </svg>Logout</button>
                  </div>
               </div> <!-- profile-notification-scroll -->
              </div> <!-- dropdown-body -->
            </div> <!-- dropdown-menu -->
          </div> <!-- dropdown pc-h-item header-user-profile -->
      </div> <!-- ms-auto -->
    </div> <!-- header-wrapper -->
</header> 
    <div class="pc-container">
        <div class="pc-content"><!-- [ breadcrumb ] start -->
            <div class="page-header">
                <div class="page-block">
                    <div class="row align-items-center">
                        <div class="col-md-12">
                           <div class="page-header-title d-flex justify-content-between align-items-center mb-3">
                              <h2 class="mb-0">Customer Details</h2>
                              <div class="d-inline-flex align-items-center gap-1 text-primary" 
                                 style="cursor: pointer; margin-right: 2%;"
                                 onclick="window.location.href='edit_customer.php?customer_id=<?php echo $customer_data['id']; ?>'">
                                <i class="ti ti-edit-circle f-18"></i>
                                <p class="mb-0">Edit</p>
                            </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="row"><!-- [ sample-page ] start -->
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body py-0">
                            <ul class="nav nav-tabs profile-tabs" id="myTab" role="tablist">
                                <li class="nav-item"><a class="nav-link active" id="profile-tab-1" data-bs-toggle="tab"
                                        href="#profile-1" role="tab" aria-selected="true"><i
                                            class="ti ti-user me-2"></i>Basic Information</a></li>
                                <li class="nav-item"><a class="nav-link" id="profile-tab-2" data-bs-toggle="tab"
                                        href="#profile-2" role="tab" aria-selected="true"><i
                                            class="ti ti-file-text me-2"></i>Listed Cars</a></li>
                                <li class="nav-item"><a class="nav-link" id="profile-tab-3" data-bs-toggle="tab"
                                        href="#profile-3" role="tab" aria-selected="true"><i
                                            class="ti ti-id me-2"></i>Recent Bookings</a></li>
                                <li class="nav-item"><a class="nav-link" id="profile-tab-4" data-bs-toggle="tab"
                                        href="#profile-4" role="tab" aria-selected="true"><i
                                            class="ti ti-lock me-2"></i>Preferred Driver</a></li>
                                <li class="nav-item"><a class="nav-link" id="profile-tab-5" data-bs-toggle="tab"
                                        href="#profile-5" role="tab" aria-selected="true"><i
                                            class="ti ti-users me-2"></i>Blacklisted Drivers</a></li>
                                <!--<li class="nav-item"><a class="nav-link" id="profile-tab-6" data-bs-toggle="tab"-->
                                <!--        href="#profile-6" role="tab" aria-selected="true"><i-->
                                <!--            class="ti ti-settings me-2"></i>Settings</a></li>-->
                            </ul>
                        </div>
                    </div>
                    <div class="tab-content">
                        <div class="tab-pane show active" id="profile-1" role="tabpanel" aria-labelledby="profile-tab-1">
                            <div class="row">
                                <div class="col-lg-4 col-xxl-3">
                                    <div class="card">
                                        <div class="card-body position-relative">
                                            <div class="position-absolute end-0 top-0 p-3"><span
                                                    class="badge bg-primary"><?php echo $record['customer_type']; ?></span></div>
                                            <div class="text-center mt-3">
                                                <?php
                                                $avatarFile = '../assets/images/user/' . $record['selected_avatar'];
                                                $avatarPath = file_exists($avatarFile) ? $avatarFile : '../assets/images/user/default-avatar.jpg';
                                                ?>
                                                <div class="chat-avtar d-inline-flex mx-auto">
                                                    <img class="rounded-circle img-fluid wid-70"
                                                         src="<?php echo $avatarPath; ?>" 
                                                         alt="User image">
                                                </div>
                                                <h5 class="mb-0"><?php echo $record['customer_name']; ?></h5>
                                                <!--<p class="text-muted text-sm">CUS0001</p>-->
                                                <!--<hr class="my-3 border border-secondary-subtle">-->
                                                <hr class="my-3 border border-secondary-subtle">
                                                <div
                                                    class="d-inline-flex align-items-center justify-content-start w-100 mb-3">
                                                    <i class="ti ti-phone me-2"></i>
                                                    <p class="mb-0">CUS0001</p>
                                                </div>

                                                <div
                                                    class="d-inline-flex align-items-center justify-content-start w-100 mb-3">
                                                    <i class="ti ti-phone me-2"></i>
                                                    <p class="mb-0"><?php echo $record['wa_no']; ?></p>
                                                </div>
                                                <div
                                                    class="d-inline-flex align-items-center justify-content-start w-100 mb-3">
                                                    <i class="ti ti-map-pin me-2"></i>
                                                    <p class="mb-0"><?php echo $record['area']; ?></p>
                                                </div>
                                                <div
                                                    class="d-inline-flex align-items-center justify-content-start w-100">
                                                    <i class="ti ti-link me-2"></i> <a href="#" class="link-primary">
                                                        <p class="mb-0"><?php echo $record['location']; ?></p>
                                                    </a></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-8 col-xxl-9">
                                    <div class="card">
                                        <div class="card-header">
                                            <h5>Personal Details</h5>
                                        </div>
                                        <div class="card-body">
                                            <ul class="list-group list-group-flush">
                                                <li class="list-group-item px-0 pt-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Full Name</p>
                                                            <p class="mb-0"><?php echo !empty($record['customer_name']) ? $record['customer_name'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Whatsapp Number</p>
                                                            <p class="mb-0"><?php echo !empty($record['wa_no']) ? $record['wa_no'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                        
                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Alternate Number</p>
                                                            <p class="mb-0"><?php echo !empty($record['alt_no']) ? $record['alt_no'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Landline Number</p>
                                                            <p class="mb-0"><?php echo !empty($record['landline']) ? $record['landline'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                        
                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Area</p>
                                                            <p class="mb-0"><?php echo !empty($record['area']) ? $record['area'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Venue Name</p>
                                                            <p class="mb-0"><?php echo !empty($record['venue_name']) ? $record['venue_name'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                        
                                                <li class="list-group-item px-0 pb-0">
                                                    <p class="mb-1 text-primary">Address</p>
                                                    <p class="mb-4"><?php echo !empty($record['address']) ? $record['address'] : '-'; ?></p>
                                                </li>
                                        
                                                <li class="list-group-item px-0 pb-0">
                                                    <p class="mb-1 text-primary">Special Request</p>
                                                    <p class="mb-0"><?php echo !empty($record['special_request']) ? $record['special_request'] : '-'; ?></p>
                                                </li>
                                            </ul>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="profile-2" role="tabpanel" aria-labelledby="profile-tab-2">
                            <div class="row">
                                <div class="col-lg-12">
                                      <div class="card table-card">
                                            <div class="card-header">
                                                  <h5>Listed Cars</h5>
                                            </div>
                                            <div class="card-body pt-3">
                                                  <div class="table-responsive">
                                                        <table class="table table-hover" id="pc-dt-simple">
                                                            <thead>
                                                                <tr>
                                                                    <th class="text-center">Sr.No</th>
                                                                    <th class="text-center">Vehicle Model</th>
                                                                    <th class="text-center">Vehicle Gear Type</th>
                                                                    <th class="text-center">Vehicle Type</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php
                                                                    include 'datab.php';
                                                                    if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
                                                                        $customer_id = (int)$_GET['customer_id'];
                                                                    
                                                                        // Prepare statement to safely get vehicles for that customer
                                                                        $stmt = $conn->prepare("SELECT * FROM customer_car_data WHERE customer_id = ? AND status = 'Active'");
                                                                        $stmt->bind_param("i", $customer_id);
                                                                        $stmt->execute();
                                                                        $result = $stmt->get_result();
                                                                            $srNo = 1;
                                                                        while ($row = $result->fetch_assoc()) {

                                                                ?>
                                                                    <tr>
                                                                        <td class="text-center"><?php echo $srNo++; ?></td>
                                                                        <td class="text-center"><?php echo $row['vehicle_name']; ?></td>
                                                                        <td class="text-center"><?php echo $row['vehicle_gear_type']; ?></td>
                                                                        <td class="text-center"><?php echo $row['vehicle_type']; ?></td>
                                                                    </tr>
                                                                <?php     }

                                                                        $stmt->close();
                                                                    } else {
                                                                        echo "<tr><td colspan='4' class='text-center'>Invalid or missing customer ID.</td></tr>";
                                                                    }
                                                                    ?>
                                                            </tbody>
                                                        </table>

                                                  </div>
                                            </div>
                                      </div>
                                </div>       
                            </div>
                        </div>
                        <div class="tab-pane" id="profile-3" role="tabpanel" aria-labelledby="profile-tab-3">
                            <div class="row">
                                <div class="col-12">
                                      <div class="card table-card">
                                            <div class="card-header">
                                                  <h5>Recent Bookings</h5>
                                            </div>
                                            <div class="card-body pt-3">
                                                  <div class="table-responsive">
                                                        <table class="table table-hover" id="pc-dt-simple">
                                                            <thead>
                                                                <tr>
                                                                    <th class="text-center">Sr.No</th>
                                                                    <th class="text-center">Reporting Date</th>
                                                                    <th class="text-center">Booking No</th>
                                                                    <th class="text-center">Booking Type</th>
                                                                    <th class="text-center">Created On</th>
                                                                    <th class="text-center">Created By</th>
                                                                    <th class="text-center">Status</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php
                                                                include 'datab.php';
                                                        
                                                                if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
                                                                    $customer_id = (int)$_GET['customer_id'];
                                                        
                                                                    $query = mysqli_query($conn, "
                                                                        SELECT 
                                                                            booking_table.id,
                                                                            booking_no,
                                                                            DATE_FORMAT(reporting_date, '%d-%m-%Y %h:%i %p') AS reporting_date,
                                                                            booking_type,
                                                                            DATE_FORMAT(booking_table.created_on, '%d-%m-%Y %h:%i %p') AS created_on,
                                                                            user_data.user_name AS created_by,
                                                                            booking_table.status
                                                                        FROM booking_table
                                                                        LEFT JOIN user_data ON user_data.id = booking_table.created_by
                                                                        WHERE booking_table.status = 'Active' AND booking_table.customer_id = $customer_id
                                                                        ORDER BY booking_table.created_on DESC
                                                                    ");
                                                        
                                                                    $srNo = 1;
                                                                    if (mysqli_num_rows($query) > 0) {
                                                                        while ($row = mysqli_fetch_assoc($query)) {
                                                                            ?>
                                                                            <tr>
                                                                                <td class="text-center"><?php echo $srNo++; ?></td>
                                                                                <td class="text-center"><?php echo $row['reporting_date']; ?></td>
                                                                                <td class="text-center"><?php echo $row['booking_no']; ?></td>
                                                                                <td class="text-center"><?php echo $row['booking_type']; ?></td>
                                                                                <td class="text-center"><?php echo $row['created_on']; ?></td>
                                                                                <td class="text-center"><?php echo $row['created_by']; ?></td>
                                                                                <td class="text-center"><?php echo $row['status']; ?></td>
                                                                            </tr>
                                                                            <?php
                                                                        }
                                                                    } else {
                                                                        echo "<tr><td colspan='7' class='text-center'>No booking found for this customer.</td></tr>";
                                                                    }
                                                                } else {
                                                                    echo '<tr><td colspan="7" class="text-center">Invalid or missing customer ID.</td></tr>';
                                                                }
                                                                ?>
                                                            </tbody>
                                                        </table>


                                                  </div>
                                            </div>
                                      </div>
                                </div>
                                
                            </div>
                        </div>
                        <div class="tab-pane" id="profile-4" role="tabpanel" aria-labelledby="profile-tab-4">
                            <div class="row">
                                <div class="col-12">
                                      <div class="card table-card">
                                            <div class="card-header">
                                                  <h5>Prefrred Drivers</h5>
                                            </div>
                                            <div class="card-body pt-3">
                                                  <div class="table-responsive">
                                                        <table class="table table-hover" id="pc-dt-simple">
                                                            <thead>
                                                                <tr>
                                                                    <th class="text-center">Sr.No</th>
                                                                    <th class="text-center">Driver Ref No</th>
                                                                    <th class="text-center">Driver Name</th>
                                                                    <th class="text-center">Whatsapp Number</th>
                                                                    <th class="text-center">Alt Number</th>
                                                                    <th class="text-center">Area</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php
                                                                include 'datab.php';
                                                        
                                                                if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
                                                                    $customer_id = (int)$_GET['customer_id'];
                                                        
                                                                    $preferred_driver_query = "SELECT 
                                                                                                  driver_data.id as driver_id, 
                                                                                                  driver_name, 
                                                                                                  wa_no, 
                                                                                                  alt_no,
                                                                                                  area, 
                                                                                                  CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no
                                                                                              FROM preferred_driver_data
                                                                                              JOIN driver_data ON preferred_driver_data.driver_id = driver_data.id
                                                                                              WHERE preferred_driver_data.customer_id = '$customer_id'
                                                                                                AND driver_data.status = 'Active'
                                                                                              ORDER BY driver_name ASC";
                                                        
                                                                    $preferred_driver_result = mysqli_query($conn, $preferred_driver_query);
                                                        
                                                                    if ($preferred_driver_result && mysqli_num_rows($preferred_driver_result) > 0) {
                                                                        $srNo = 1;
                                                                        while ($row = mysqli_fetch_assoc($preferred_driver_result)) {
                                                                            ?>
                                                                            <tr>
                                                                                <td class="text-center"><?php echo $srNo++; ?></td>
                                                                                <td class="text-center"><?php echo $row['driver_ref_no']; ?></td>
                                                                                <td class="text-center"><?php echo $row['driver_name']; ?></td>
                                                                                <td class="text-center"><?php echo $row['wa_no']; ?></td>
                                                                                <td class="text-center"><?php echo $row['alt_no']; ?></td>
                                                                                <td class="text-center"><?php echo $row['area']; ?></td>
                                                                            </tr>
                                                                            <?php
                                                                        }
                                                                    } else {
                                                                        echo '<tr><td colspan="6" class="text-center">No preferred drivers found for this customer.</td></tr>';
                                                                    }
                                                                } else {
                                                                    echo '<tr><td colspan="6" class="text-center">Invalid or missing customer ID.</td></tr>';
                                                                }
                                                                ?>
                                                            </tbody>
                                                        </table>

                                                  </div>
                                            </div>
                                      </div>
                                </div>
                                
                            </div>
                        </div>
                        <div class="tab-pane" id="profile-5" role="tabpanel" aria-labelledby="profile-tab-5">
                            <div class="row">
                                <div class="col-12">
                                      <div class="card table-card">
                                            <div class="card-header">
                                                  <h5>Blacklisted Drivers</h5>
                                            </div>
                                            <div class="card-body pt-3">
                                                  <div class="table-responsive">
                                                        <table class="table table-hover" id="pc-dt-simple">
                                                            <thead>
                                                                <tr>
                                                                    <th class="text-center">Sr.No</th>
                                                                    <th class="text-center">Driver ID</th>
                                                                    <th class="text-center">Driver Name</th>
                                                                    <th class="text-center">Reason</th>
                                                                    <th class="text-center">Blacklisted Date</th>
                                                                    <th class="text-center">Blacklisted By</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php
                                                                include 'datab.php';
                                                        
                                                                if (isset($_GET['customer_id']) && is_numeric($_GET['customer_id'])) {
                                                                    $customer_id = (int)$_GET['customer_id'];
                                                        
                                                                    $blacklisted_driver_query = "SELECT 
                                                                                                    driver_data.id as driver_id, 
                                                                                                    driver_name,
                                                                                                    CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no,
                                                                                                    DATE_FORMAT(blacklisted_driver_data.dateTime,'%d-%m-%Y %h:%i %p') as blacklisted_date,
                                                                                                    user_data.user_name as blacklisted_by, 
                                                                                                    booking_table.booking_no, 
                                                                                                    booking_table.id as booking_id, 
                                                                                                    blacklisted_driver_data.reason
                                                                                                FROM blacklisted_driver_data
                                                                                                JOIN driver_data ON blacklisted_driver_data.driver_id = driver_data.id
                                                                                                JOIN user_data ON user_data.id = blacklisted_driver_data.created_by
                                                                                                JOIN booking_table ON booking_table.id = blacklisted_driver_data.booking_id
                                                                                                WHERE blacklisted_driver_data.customer_id = '$customer_id'
                                                                                                  AND driver_data.status = 'Active'
                                                                                                  AND blacklisted_driver_data.status = 'Active'
                                                                                                ORDER BY driver_name ASC";
                                                        
                                                                    $blacklisted_driver_result = mysqli_query($conn, $blacklisted_driver_query);
                                                        
                                                                    if ($blacklisted_driver_result && mysqli_num_rows($blacklisted_driver_result) > 0) {
                                                                        $srNo = 1;
                                                                        while ($row = mysqli_fetch_assoc($blacklisted_driver_result)) {
                                                                            ?>
                                                                            <tr>
                                                                                <td class="text-center"><?php echo $srNo++; ?></td>
                                                                                <td class="text-center"><?php echo $row['driver_ref_no']; ?></td>
                                                                                <td class="text-center"><?php echo $row['driver_name']; ?></td>
                                                                                <td class="text-center"><?php echo $row['reason']; ?></td>
                                                                                <td class="text-center"><?php echo $row['blacklisted_date']; ?></td>
                                                                                <td class="text-center"><?php echo $row['blacklisted_by']; ?></td>
                                                                            </tr>
                                                                            <?php
                                                                        }
                                                                    } else {
                                                                        echo '<tr><td colspan="6" class="text-center">No blacklisted drivers found for this customer.</td></tr>';
                                                                    }
                                                                } else {
                                                                    echo '<tr><td colspan="6" class="text-center">Invalid or missing customer ID.</td></tr>';
                                                                }
                                                                ?>
                                                            </tbody>
                                                        </table>

                                                  </div>
                                            </div>
                                      </div>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div><!-- [ sample-page ] end -->
            </div><!-- [ Main Content ] end -->
        </div>
    </div><!-- [ Main Content ] end -->
  <footer class="pc-footer">
    <div class="footer-wrapper container-fluid">
      <div class="row">
        <div class="col my-1">
          <p class="m-0">V-Man &#9829; crafted by <a href="https://cryptographicsolutions.in/"
              target="_blank">Cryptographic Solutions</a></p>
        </div>
      </div>
    </div>
  </footer><!-- Required Js -->
    <script data-cfasync="false" src="..\cdn-cgi\scripts\5c5dd728\cloudflare-static\email-decode.min-1.js"></script>
    <script src="..\assets\js\plugins\popper.min-1.js"></script>
    <script src="..\assets\js\plugins\simplebar.min-1.js"></script>
    <script src="..\assets\js\plugins\bootstrap.min-1.js"></script>
    <script src="..\assets\js\plugins\i18next.min-1.js"></script>
    <script src="..\assets\js\plugins\i18nextHttpBackend.min-1.js"></script>
    <script src="..\assets\js\icon\custom-font-1.js"></script>
    <script src="..\assets\js\script-1.js"></script>
    <script src="..\assets\js\theme-1.js"></script>
    <script src="..\assets\js\multi-lang-1.js"></script>
    <script src="..\assets\js\plugins\feather.min-1.js"></script>
<script>
  layout_change("light");
  change_box_container("false");
  layout_caption_change("true");
  layout_rtl_change("false");
  preset_change("preset-8");
  main_layout_change("vertical");
</script>
</body><!-- [Body] end -->

</html>