
<?php
include 'datab.php';

// Validate and sanitize the user_id from URL
if (isset($_GET['user_id']) && is_numeric($_GET['user_id'])) {
    $user_id = (int)$_GET['user_id'];

    if ($user_id > 0) {
        // Using prepared statement to prevent SQL injection
        $stmt = $conn->prepare("SELECT * FROM user_data WHERE id = ?");
        $stmt->bind_param("i", $user_id);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result && $result->num_rows > 0) {
            $record = $result->fetch_assoc();
            // You can now use $record['column_name']
        } else {
            die("Customer record not found!");
        }

        $stmt->close();
    } else {
        die("Invalid Customer ID!");
    }
} else {
    die("Customer ID not provided or invalid!");
}

// Close the DB connection
$conn->close();
?>
<!doctype html>
<html lang="en"><!-- [Head] start -->

<head>
    <title>Vman | Employee  Details</title><!-- [Meta] -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0,minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description"
        content="Able Pro is trending dashboard template made using Bootstrap 5 design framework. Able Pro is available in Bootstrap, React, CodeIgniter, Angular,  and .net Technologies.">
    <meta name="keywords"
        content="Bootstrap admin template, Dashboard UI Kit, Dashboard Template, Backend Panel, react dashboard, angular dashboard">
    <meta name="author" content="Phoenixcoded"><!-- [Favicon] icon -->
    <link rel="icon" href="..\assets\images\favicon-1.svg" type="image/x-icon"><!-- [Font] Family -->
    <link rel="stylesheet" href="..\assets\fonts\inter\inter-1.css" id="main-font-link">
    <!-- [phosphor Icons] https://phosphoricons.com/ -->
    <link rel="stylesheet" href="..\assets\fonts\phosphor\duotone\style-1.css">
    <!-- [Tabler Icons] https://tablericons.com -->
    <link rel="stylesheet" href="..\assets\fonts\tabler-icons.min-1.css">
    <!-- [Feather Icons] https://feathericons.com -->
    <link rel="stylesheet" href="..\assets\fonts\feather-1.css">
    <!-- [Font Awesome Icons] https://fontawesome.com/icons -->
    <link rel="stylesheet" href="..\assets\fonts\fontawesome-1.css">
    <!-- [Material Icons] https://fonts.google.com/icons -->
    <link rel="stylesheet" href="..\assets\fonts\material-1.css"><!-- [Template CSS Files] -->
    <link rel="stylesheet" href="..\assets\css\style-1.css" id="main-style-link">
    <script src="..\assets\js\tech-stack-1.js"></script>
    <link rel="stylesheet" href="..\assets\css\style-preset-1.css">
</head><!-- [Head] end --><!-- [Body] Start -->

<body data-pc-preset="preset-1" data-pc-sidebar-caption="true" data-pc-layout="vertical" data-pc-direction="ltr"
    data-pc-theme_contrast="" data-pc-theme="light"><!-- [ Pre-loader ] start -->
    <div class="loader-bg">
        <div class="loader-track">
            <div class="loader-fill"></div>
        </div>
    </div><!-- [ Pre-loader ] End --><!-- [ Sidebar Menu ] start -->
    <nav class="pc-sidebar">
    <div class="navbar-wrapper">
      <div class="m-header"><a href="..\dashboard\index-1.html"
          class="b-brand text-primary"><!-- ========   Change your logo from here   ============ --> <img
            src="..\assets\images\logo-dark-1.svg" class="img-fluid logo-lg" alt="logo"> <span
            class="badge bg-light-success rounded-pill ms-2 theme-version">v9.5.0</span></a></div>
      <div class="navbar-content">
        <div class="card pc-user-card">
          <div class="card-body">
            <div class="d-flex align-items-center">
              <div class="flex-shrink-0"><img src="..\assets\images\user\avatar-1-1.jpg" alt="user-image"
                  class="user-avtar wid-45 rounded-circle"></div>
              <div class="flex-grow-1 ms-3 me-2">
                <h6 class="mb-0" data-i18n="Jonh Smith">Jonh Smith</h6><small
                  data-i18n="Administrator">Administrator</small>
              </div><a class="btn btn-icon btn-link-secondary avtar" data-bs-toggle="collapse"
                href="#pc_sidebar_userlink"><svg class="pc-icon">
                  <use xlink:href="#custom-sort-outline"></use>
                </svg></a>
            </div>
            <div class="collapse pc-user-links" id="pc_sidebar_userlink">
              <div class="pt-3"><a href="#!"><i class="ti ti-user"></i> <span data-i18n="My Account">My Account</span>
                </a><a
                  href="#!"><i class="ti ti-power"></i> <span data-i18n="Logout">Logout</span></a></div>
            </div>
          </div>
        </div>
        <ul class="pc-navbar">
          <li class="pc-item pc-caption"><label data-i18n="Navigation">Navigation</label></li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/Dashboard.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-box-1"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Dashboard">Dashboard</span></a>
            </li>
          <li class="pc-item">
              <a href="https://spcsolar.in/acting-drive/pages/booking-slot.php" class="pc-link">
                <!--<span class="pc-icon">-->
                <!--  <i class="ph-duotone ph-police-car" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></i>-->
                <!--</span>-->
                <svg class="pc-icon">
                  <use xlink:href="#custom-data"></use>
                </svg> 
                <span class="pc-mtext " data-i18n="Booking" style="margin-left: 5%;">Booking</span>
              </a>
          </li>
          <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/customer_list.php" class="pc-link"><span class="pc-micon"><span class="ph-duotone ph-users-three" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext" data-i18n="Customer">Customer</span></a>
            </li>

          <li class="pc-item pc-hasmenu"><a  class="pc-link"><span class="pc-micon"><svg class="pc-icon">
                  <use xlink:href="#custom-story"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Driver">Driver</span> <span class="pc-arrow"><i
                  data-feather="chevron-right"></i></span></a>
            <ul class="pc-submenu">
              
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/driver_list.php"
                  data-i18n="List Of Drivers">List Of Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/available_drivers.php"
                  data-i18n="Available Drivers">Available Drivers</a></li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired-Licence.php" data-i18n="Expiring Licence">Expiring Licence</a>
              </li>
              <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/expired_subscription.php" data-i18n="Expired Subscriptions">Expired Subscriptions</a></li>
            </ul>
          </li>
            <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/user_list.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-user"></use>
                </svg> </span><span class="pc-mtext" data-i18n="User">User</span></a>
            </li>
                        <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon">
                                       <span class="ph-duotone ph-calendar-x" style="width:22px;height:22px;margin-right:15px;display:inline-block;font-size:22px;"></span></span><span class="pc-mtext"
                                data-i18n="Leave">Leave</span> <span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_form.php"
                                      data-i18n="Leave Form">Leave Form</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_history.php"
                                      data-i18n="Leave History">Leave History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/leave_approval.php"
                                      data-i18n="Leave Approval">Leave Approval</a></li>
                    </ul>
              </li>
              <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                      class="pc-icon">
                                      <use xlink:href="#custom-24-support"></use>
                                </svg> </span><span class="pc-mtext"
                                data-i18n="Permission">Permission</span><span class="pc-arrow"><i
                                      data-feather="chevron-right"></i></span></a>
                    <ul class="pc-submenu">
                         <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_form.php"
                                      data-i18n="Permission Form">Permission Form</a></li>
                                      <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_history.php"
                                      data-i18n="Permission History">Permission History</a></li>
                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/permission_approval.php"
                                      data-i18n="Permission Approval">Permission Approval</a></li>
                    </ul>
              </li>

                                <li class="pc-item pc-hasmenu"><a href="#!" class="pc-link"><span class="pc-micon"><svg
                                                      class="pc-icon">
                                                      <use xlink:href="#custom-calendar-1"></use>
                                                </svg> </span><span class="pc-mtext" data-i18n="Attendance">Attendance</span> <span class="pc-arrow"><i
                                                      data-feather="chevron-right"></i></span></a>
                                    <ul class="pc-submenu">
                                          <li class="pc-item"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/activity.php"
                                                      data-i18n="Activity">Activity</a></li>
                                          <li class="pc-item pc-hasmenu"><a class="pc-link" href="https://spcsolar.in/acting-drive/pages/monthly_report.php"><span
                                                            data-i18n="Monthly">Monthly Report</span></span></a>
                                                
                                          </li>
                                          
                                    </ul>
                              </li>                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/reports.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-notification-status"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Reports">Reports</span></a>
            </li>
                        <li class="pc-item"><a href="https://spcsolar.in/acting-drive/pages/feedback.php" class="pc-link"><span class="pc-micon"><svg
                  class="pc-icon">
                  <use xlink:href="#custom-star-bold"></use>
                </svg> </span><span class="pc-mtext" data-i18n="Feedback" >Feedback</span></a>
            </li>
        </ul>
      </div>
    </div>
  </nav><!-- [ Sidebar Menu ] end --><!-- [ Header Topbar ] start -->  
  <header class="pc-header">
    <div class="header-wrapper"><!-- [Mobile Media Block] start -->
      <div class="me-auto pc-mob-drp">
        <ul class="list-unstyled"><!-- ======= Menu collapse Icon ===== -->
          <li class="pc-h-item pc-sidebar-collapse"><a href="#" class="pc-head-link ms-0" id="sidebar-hide"><i
                class="ti ti-menu-2"></i></a></li>
          <li class="pc-h-item pc-sidebar-popup"><a href="#" class="pc-head-link ms-0" id="mobile-collapse"><i
                class="ti ti-menu-2"></i></a></li>
          </ul>
      </div><!-- [Mobile Media Block end] -->
      <div class="ms-auto">
          <div class="dropdown pc-h-item header-user-profile"><a class="pc-head-link dropdown-toggle arrow-none me-0"
              data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" data-bs-auto-close="outside"
              aria-expanded="false"><img src="..\assets\images\user\avatar-2-1.jpg" alt="user-image"
                class="user-avtar"></a>
            <div class="dropdown-menu dropdown-user-profile dropdown-menu-end pc-h-dropdown">
              <div class="dropdown-body">
                <div class="profile-notification-scroll position-relative" style="max-height: calc(100vh - 225px)">
                  <div class="d-grid mb-3"><button class="btn btn-primary"><svg class="pc-icon me-2">
                        <use xlink:href="#custom-logout-1-outline"></use>
                      </svg>Logout</button>
                  </div>
               </div> <!-- profile-notification-scroll -->
              </div> <!-- dropdown-body -->
            </div> <!-- dropdown-menu -->
          </div> <!-- dropdown pc-h-item header-user-profile -->
      </div> <!-- ms-auto -->
    </div> <!-- header-wrapper -->
</header> 
    <div class="pc-container">
        <div class="pc-content"><!-- [ breadcrumb ] start -->
            <div class="page-header">
                <div class="page-block">
                    <div class="row align-items-center">
                        <div class="col-md-12">
                            <div class="page-header-title d-flex justify-content-between align-items-center">
                                <h2 class="mb-0">Employee Details</h2>
                            <div class="d-inline-flex align-items-center gap-1 text-primary" style="cursor: pointer; margin-right: 2%;"
                                 onclick="window.location.href='edit_user.php?user_id=<?php echo $user_id; ?>'">
                                <i class="ti ti-edit-circle f-18"></i>
                                <p class="mb-0">Edit</p>
                            </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div><!-- [ breadcrumb ] end --><!-- [ Main Content ] start -->
            <div class="row"><!-- [ sample-page ] start -->
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body py-0">
                            <ul class="nav nav-tabs profile-tabs" id="myTab" role="tablist">
                                <li class="nav-item"><a class="nav-link active" id="profile-tab-1" data-bs-toggle="tab" href="#profile-1" role="tab" aria-selected="true"><i class="ti ti-user me-2"></i>Profile</a></li>
                                <li class="nav-item"><a class="nav-link" id="profile-tab-3" data-bs-toggle="tab" href="#profile-3" role="tab" aria-selected="true"><i class="ti ti-id me-2"></i>General Details</a></li>
                                <!--<li class="nav-item"><a class="nav-link" id="profile-tab-4" data-bs-toggle="tab" href="#profile-4" role="tab" aria-selected="true"><i class="ti ti-lock me-2"></i>Change Password</a></li>-->
                            </ul>
                        </div>
                    </div>
                    <div class="tab-content">
                        <div class="tab-pane show active" id="profile-1" role="tabpanel" aria-labelledby="profile-tab-1">
                            <div class="row">
                                <div class="col-lg-4 col-xxl-3">
                                    <div class="card">
                                        <div class="card-body position-relative">
                                            <div class="position-absolute end-0 top-0 p-3"><span class="badge bg-primary" id="emp_type"><?php echo $record['role']; ?></span></div>
                                            <div class="text-center mt-3">
                                                <?php
                                                $avatarFile = '../assets/images/user/' . $record['selected_avatar'];
                                                $avatarPath = file_exists($avatarFile) ? $avatarFile : '../assets/images/user/default-avatar.jpg';
                                                ?>
                                                <div class="chat-avtar d-inline-flex mx-auto">
                                                    <img class="rounded-circle img-fluid wid-70"
                                                         src="<?php echo $avatarPath; ?>" 
                                                         alt="User image">
                                                </div>
                                                <h5 class="mb-0"><?php echo $record['user_name']; ?></h5>
                                                <p class="text-muted text-sm" id="designation"><?php echo $record['designation']; ?></p>
                                                <hr class="my-3 border border-secondary-subtle">                                                
                                                <div class="d-inline-flex align-items-center justify-content-start w-100 mb-3"><i class="ti ti-id me-2"></i>
                                                    <p class="mb-0" id="user_id"><?php echo 'USR' . sprintf('%04d', $user_id); ?></p>
                                                </div>
                                                <div class="d-inline-flex align-items-center justify-content-start w-100 mb-3"><i class="ti ti-mail me-2"></i>
                                                    <p class="mb-0"><a href="#" id="emp_email"><?php echo $record['email']; ?></a></p>
                                                </div>
                                                <div class="d-inline-flex align-items-center justify-content-start w-100 mb-3"><i class="ti ti-phone me-2"></i>
                                                    <p class="mb-0" id="mobile_no"><?php echo $record['mobile_no']; ?></p>
                                                </div>
                                                <div class="d-inline-flex align-items-center justify-content-start w-100 mb-3"><i class="ti ti-map-pin me-2"></i>
                                                    <p class="mb-0 text-start" id="side_present_address"><?php echo $record['permanent_address']; ?></p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-8 col-xxl-9">
                                    <div class="card">
                                        <div class="card-header">
                                            <h5>Personal Details</h5>
                                        </div>
                                        <div class="card-body">
                                            <ul class="list-group list-group-flush">
                                                <li class="list-group-item px-0 pt-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Pan Number</p>
                                                            <p class="mb-0" id="pan_number"><?php echo !empty($record['pan_no']) ? $record['pan_no'] : '-'; ?></p></p>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Aadhaar Number</p>
                                                            <p class="mb-0" id="aadhaar_no"><?php echo !empty($record['aadhaar_no']) ? $record['aadhaar_no'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Date of Birthday</p>
                                                            <p class="mb-0" id="dob"><?php echo !empty($record['dob']) ? $record['dob'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Blood Group</p>
                                                            <p class="mb-0" id="blood_group"><?php echo !empty($record['blood_group']) ? $record['blood_group'] : '-'; ?></p></p>
                                                        </div>
                                                    </div>
                                                </li>
                                                <li class="list-group-item px-0 pb-0">
                                                    <p class="mb-1 text-primary">Permanent Address</p>
                                                    <p class="mb-0" id="permanent_address"><?php echo !empty($record['permanent_address']) ? $record['permanent_address'] : '-'; ?></p></p>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header">
                                            <h5>Bank Details</h5>
                                        </div>
                                        <div class="card-body">
                                            <ul class="list-group list-group-flush">
                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Account Name</p>
                                                            <p class="mb-0" id="account_name"><?php echo !empty($record['ac_name']) ? $record['ac_name'] : '-'; ?></p>
                                                        </div>
        
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Account Number</p>
                                                            <p class="mb-0" id="account_number"><?php echo !empty($record['ac_no']) ? $record['ac_no'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>

                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">UPI ID</p>
                                                            <p class="mb-0" id="upi_id"><?php echo !empty($record['upi_id']) ? $record['upi_id'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">Bank Name</p>
                                                            <p class="mb-4" id="bank_name"><?php echo !empty($record['bank_name']) ? $record['bank_name'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <p class="mb-1 text-primary">IFSC Code</p>
                                                            <p class="mb-0" id="ifsc_code"><?php echo !empty($record['ifsc_code']) ? $record['ifsc_code'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="profile-3" role="tabpanel" aria-labelledby="profile-tab-3">
                            <div class="row">
                                <div class="col-lg-8 col-xxl-9">
                                    <div class="card">
                                        <div class="card-header">
                                            <h5>Employment Details</h5>
                                        </div>
                                        <div class="card-body">
                                            <ul class="list-group list-group-flush">
                                                <li class="list-group-item px-0 pt-0">
                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <p class="mb-1 text-primary">Joined Date</p>
                                                            <p class="mb-0" id="doj"><?php echo !empty($record['doj']) ? $record['doj'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <p class="mb-1 text-primary">Login Time</p>
                                                            <p class="mb-0" id="login_time"><?php echo !empty($record['login_time']) ? $record['login_time'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <p class="mb-1 text-primary">Logout Time</p>
                                                            <p class="mb-0" id="logout_time"><?php echo !empty($record['logout_time']) ? $record['logout_time'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                            
                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <p class="mb-1 text-primary">Salary</p>
                                                            <p class="mb-0" id="current_salary"><?php echo !empty($record['salary']) ? $record['salary'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <p class="mb-1 text-primary">Casual Leaves</p>
                                                            <p class="mb-0" id="casual_leave"><?php echo !empty($record['casual_leave']) ? $record['casual_leave'] : '-'; ?></p>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <p class="mb-1 text-primary">Sick Leaves</p>
                                                            <p class="mb-0" id="sick_leave"><?php echo !empty($record['sick_leave']) ? $record['sick_leave'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                            
                                                <li class="list-group-item px-0">
                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <p class="mb-1 text-primary">Employment Type</p>
                                                            <p class="mb-0" id="employment_type"><?php echo !empty($record['employment_type']) ? $record['employment_type'] : '-'; ?></p>
                                                        </div>
                                                    </div>
                                                </li>
                                            </ul>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-xxl-3">
                                <div class="card">
                                        <div class="card-header">
                                            <h5>Documents</h5>
                                        </div>
                                       <div class="card-body">
                                            <div class="row" id="document_area">
                                                <?php
                                                $docNames = explode(',', $record['document_name']);
                                                foreach ($docNames as $doc) {
                                                    $doc = trim($doc); // remove extra spaces
                                                    if (!empty($doc)) {
                                                        echo '<div class="col-12 mb-2">';
                                                        echo '<a href="user/documents/' . htmlspecialchars($doc) . '" target="_blank">' . htmlspecialchars($doc) . '</a>';
                                                        echo '</div>';
                                                    }
                                                }
                                                ?>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--<div class="tab-pane" id="profile-4" role="tabpanel" aria-labelledby="profile-tab-4">-->
                        <!--    <div class="card">-->
                        <!--        <div class="card-header">-->
                        <!--            <h5>Change Password</h5>-->
                        <!--        </div>-->
                        <!--        <div class="card-body">-->
                        <!--            <div class="row">-->
                        <!--                <div class="col-sm-6">-->
                        <!--                    <div class="mb-3"><label class="form-label">New Password</label> <input type="password" id="new_password" class="form-control"></div>-->
                        <!--                </div>-->
                        <!--                <div class="col-sm-6">-->
                        <!--                    <div class="mb-3"><label class="form-label">Confirm Password</label> <input type="password" id="re_password" class="form-control"></div>-->
                        <!--                </div>-->
                        <!--            </div>-->
                        <!--        </div>-->
                        <!--        <div class="card-footer text-end btn-page">-->
                        <!--            <div class="btn btn-primary" id="update_password">Update Password</div>-->
                        <!--        </div>-->
                        <!--    </div>-->
                        <!--</div>-->
                    </div>
                </div><!-- [ sample-page ] end -->
            </div><!-- [ Main Content ] end -->
            
        </div>
    </div><!-- [ Main Content ] end -->
    <footer class="pc-footer">
        <div class="footer-wrapper container-fluid">
            <div class="row">
                <div class="col my-1">
                    <p class="m-0">Able Pro &#9829; crafted by Team <a href="https://themeforest.net/user/phoenixcoded"
                            target="_blank">Phoenixcoded</a></p>
                </div>
                <div class="col-auto my-1">
                    <ul class="list-inline footer-link mb-0">
                        <li class="list-inline-item"><a href="..\index.html">Home</a></li>
                        <li class="list-inline-item"><a href="https://phoenixcoded.gitbook.io/able-pro/"
                                target="_blank">Documentation</a></li>
                        <li class="list-inline-item"><a href="https://phoenixcoded.authordesk.app/"
                                target="_blank">Support</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </footer><!-- Required Js -->
    <script data-cfasync="false" src="..\cdn-cgi\scripts\5c5dd728\cloudflare-static\email-decode.min-1.js"></script>
    <script src="..\assets\js\plugins\popper.min-1.js"></script>
    <script src="..\assets\js\plugins\simplebar.min-1.js"></script>
    <script src="..\assets\js\plugins\bootstrap.min-1.js"></script>
    <script src="..\assets\js\plugins\i18next.min-1.js"></script>
    <script src="..\assets\js\plugins\i18nextHttpBackend.min-1.js"></script>
    <script src="..\assets\js\icon\custom-font-1.js"></script>
    <script src="..\assets\js\script-1.js"></script>
    <script src="..\assets\js\theme-1.js"></script>
    <script src="..\assets\js\multi-lang-1.js"></script>
    <script src="..\assets\js\plugins\feather.min-1.js"></script>
<script>
  layout_change("light");
  change_box_container("false");
  layout_caption_change("true");
  layout_rtl_change("false");
  preset_change("preset-8");
  main_layout_change("vertical");
</script>
</body><!-- [Body] end -->

</html>